package android.app;

import android.content.Context;
import android.os.IXzjhSystemService;
import android.os.RemoteException;
import android.util.Log;

public class XzjhSystemManager {
    private static final String TAG_ZMS = "XzjhSystemManager";
    IXzjhSystemService mService;

    public XzjhSystemManager(Context ctx, IXzjhSystemService service) {
        this.mService = service;
    }

    public int xzjhRebootSys(boolean isConfirm) {
        try {
            return this.mService.xzjhRebootSys(isConfirm);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhRebootSys RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhShutdownSys(boolean isConfirm) {
        try {
            return this.mService.xzjhShutdownSys(isConfirm);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhShutdownSys RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhResetSys() {
        try {
            return this.mService.xzjhResetSys();
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhResetSys RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhGetGpioValue(int id) {
        try {
            return this.mService.xzjhGetGpioValue(id);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhGetGpioValue RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhSetGpioValue(int id, int value) {
        try {
            return this.mService.xzjhSetGpioValue(id, value);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhSetGpioValue RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhGetGpioDirction(int id) {
        try {
            return this.mService.xzjhGetGpioDirction(id);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhGetGpioDirction RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhSetGpioDirction(int id, int dir) {
        try {
            return this.mService.xzjhSetGpioDirction(id, dir);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhSetGpioDirction RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public String xzjhGetDeviceKernelInfo() {
        try {
            return this.mService.xzjhGetDeviceKernelInfo();
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhSetGpioDirction RemoteException: " + e.getMessage());
            return "";
        }
    }

    public int xzjhSetNetworkAdbEnable(boolean enabled) {
        try {
            return this.mService.xzjhSetNetworkAdbEnable(enabled);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhSetNetworkAdbEnable RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public boolean xzjhGetNetworkAdbEnable() {
        try {
            return this.mService.xzjhGetNetworkAdbEnable();
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhGetNetworkAdbEnable RemoteException: " + e.getMessage());
            return false;
        }
    }

    public int xzjhSetBrightProp(int displayId, int value) {
        try {
            return this.mService.xzjhSetBrightProp(displayId, value);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhSetBrightProp RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhGetBrightProp(int displayId) {
        try {
            return this.mService.xzjhGetBrightProp(displayId);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhSetBrightProp RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhSetContrastProp(int displayId, int value) {
        try {
            return this.mService.xzjhSetContrastProp(displayId, value);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhSetContrastProp RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhGetContrastProp(int displayId) {
        try {
            return this.mService.xzjhGetContrastProp(displayId);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhGetContrastProp RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhSetSaturationProp(int displayId, int value) {
        try {
            return this.mService.xzjhSetSaturationProp(displayId, value);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhSetSaturationProp RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhGetSaturationProp(int displayId) {
        try {
            return this.mService.xzjhGetSaturationProp(displayId);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhGetSaturationProp RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhSetHueProp(int displayId, int value) {
        try {
            return this.mService.xzjhSetHueProp(displayId, value);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhSetHueProp RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhGetHueProp(int displayId) {
        try {
            return this.mService.xzjhGetHueProp(displayId);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhGetHueProp RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhSetScreenDensity(int density) {
        try {
            return this.mService.xzjhSetScreenDensity(density);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhSetScreenDensity RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhGetScreenDensity() {
        try {
            return this.mService.xzjhGetScreenDensity();
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhGetScreenDensity RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public boolean xzjhChangeDensity() {
        try {
            return this.mService.xzjhChangeDensity();
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhChangeDensity RemoteException: " + e.getMessage());
            return false;
        }
    }

    public int xzjhSetSystemBarEnable(boolean enable) {
        try {
            return this.mService.xzjhSetSystemBarEnable(enable);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhSetSystemBarEnable RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public boolean xzjhGetSystemBarEnable() {
        try {
            return this.mService.xzjhGetSystemBarEnable();
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhGetSystemBarStatus RemoteException: " + e.getMessage());
            return false;
        }
    }

    public int xzjhSetSystemBarAutoHide(boolean enable) {
        try {
            return this.mService.xzjhSetSystemBarAutoHide(enable);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhSetSystemBarAutoHide RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public boolean xzjhGetSystemBarAutoHide() {
        try {
            return this.mService.xzjhGetSystemBarAutoHide();
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhGetSystemBarStatus RemoteException: " + e.getMessage());
            return false;
        }
    }

    public int xzjhSetAutoHideBarTime(int seconds) {
        try {
            return this.mService.xzjhSetAutoHideBarTime(seconds);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhSetAutoHideBarTime RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhGetAutoHideBarTime() {
        try {
            return this.mService.xzjhGetAutoHideBarTime();
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhGetAutoHideBarTime RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhSetScreenRotation(int rotation) {
        try {
            return this.mService.xzjhSetScreenRotation(rotation);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhSetScreenRotation RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhGetScreenRotation() {
        try {
            return this.mService.xzjhGetScreenRotation();
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhGetScreenRotation RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhUpdateSysByOtaFile(String otaFilePath) {
        try {
            return this.mService.xzjhUpdateSysByOtaFile(otaFilePath);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhUpdateSysByOtaFile RemoteException: " + e.getMessage());
            return -3;
        }
    }

    public int xzjhSetSerialNo(String serialno) {
        try {
            return this.mService.xzjhSetSerialNo(serialno);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhSetSerialNo RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public String xzjhGetSerialNo() {
        try {
            return this.mService.xzjhGetSerialNo();
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhGetSerialNo RemoteException: " + e.getMessage());
            return "";
        }
    }

    public int xzjhSetUserData(String userData) {
        try {
            return this.mService.xzjhSetUserData(userData);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhSetUserData RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public String xzjhGetUserData() {
        try {
            return this.mService.xzjhGetUserData();
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "XzjhGetUserData RemoteException: " + e.getMessage());
            return "";
        }
    }

    public int xzjhSetOtgToUsbStatus(int status) {
        try {
            return this.mService.xzjhSetOtgToUsbStatus(status);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "xzjhSetOtgToUsbStatus RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhGetOtgToUsbStatus() {
        try {
            return this.mService.xzjhGetOtgToUsbStatus();
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "xzjhGetOtgToUsbStatus RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhSetBacklightMirrorStatus(int status) {
        try {
            return this.mService.xzjhSetBacklightMirrorStatus(status);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "xzjhSetBacklightMirrorStatus RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhGetBacklightMirrorStatus() {
        try {
            return this.mService.xzjhGetBacklightMirrorStatus();
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "xzjhGetBacklightMirrorStatus RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhSetAutoUpdateOtaStatus(int status) {
        try {
            return this.mService.xzjhSetAutoUpdateOtaStatus(status);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "xzjhSetAutoUpdateOtaStatus RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhGetAutoUpdateOtaStatus() {
        try {
            return this.mService.xzjhGetAutoUpdateOtaStatus();
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "xzjhGetAutoUpdateOtaStatus RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhSetAutoUpdateFileStatus(int status) {
        try {
            return this.mService.xzjhSetAutoUpdateFileStatus(status);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "xzjhSetAutoUpdateFileStatus RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhGetAutoUpdateFileStatus() {
        try {
            return this.mService.xzjhGetAutoUpdateFileStatus();
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "xzjhGetAutoUpdateFileStatus RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhSetLogInfoOpenStatus(int status) {
        try {
            return this.mService.xzjhSetLogInfoOpenStatus(status);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "xzjhSetLogInfoOpenStatus RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhGetLogInfoOpenStatus() {
        try {
            return this.mService.xzjhGetLogInfoOpenStatus();
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "xzjhGetLogInfoOpenStatus RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhSetLogInfoAutoOpenStatus(int status) {
        try {
            return this.mService.xzjhSetLogInfoAutoOpenStatus(status);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "xzjhSetLogInfoAutoOpenStatus RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhGetLogInfoAutoOpenStatus() {
        try {
            return this.mService.xzjhGetLogInfoAutoOpenStatus();
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "xzjhGetLogInfoAutoOpenStatus RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhGetAutoPowerUpMode() {
        try {
            return this.mService.xzjhGetAutoPowerUpMode();
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "xzjhGetAutoPowerUpMode RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhSetAutoPowerUpMode(int mode) {
        try {
            return this.mService.xzjhSetAutoPowerUpMode(mode);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "xzjhSetAutoPowerUpMode RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public String xzjhGetMcuFirmwareVersion() {
        try {
            return this.mService.xzjhGetMcuFirmwareVersion();
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "xzjhGetMcuFirmwareVersion RemoteException: " + e.getMessage());
            return "";
        }
    }

    public int xzjhGetWatchDogMode() {
        try {
            return this.mService.xzjhGetWatchDogMode();
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "xzjhGetWatchDogMode RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhSetWatchDogMode(int mode) {
        try {
            return this.mService.xzjhSetWatchDogMode(mode);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "xzjhSetWatchDogMode RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhGetWatchDogDefaultTimeoutTime() {
        try {
            return this.mService.xzjhGetWatchDogDefaultTimeoutTime();
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "xzjhGetWatchDogDefaultTimeoutTime RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhSetWatchDogDefaultTimeoutTime(int second) {
        try {
            return this.mService.xzjhSetWatchDogDefaultTimeoutTime(second);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "xzjhSetWatchDogDefaultTimeoutTime RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhGetWatchDogCurrentTimeoutTime() {
        try {
            return this.mService.xzjhGetWatchDogCurrentTimeoutTime();
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "xzjhGetWatchDogCurrentTimeoutTime RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhFeedBackWatchDog() {
        try {
            return this.mService.xzjhFeedBackWatchDog();
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "xzjhFeedBackWatchDog RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int[] xzjhGetRtcTime() {
        try {
            return this.mService.xzjhGetRtcTime();
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "xzjhGetRtcTime RemoteException: " + e.getMessage());
            return null;
        }
    }

    public int[] xzjhGetRemoteCode() {
        try {
            return this.mService.xzjhGetRemoteCode();
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "xzjhGetRemoteCode RemoteException: " + e.getMessage());
            return null;
        }
    }

    public int xzjhSetRemoteCode(int address, int key) {
        try {
            return this.mService.xzjhSetRemoteCode(address, key);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "xzjhSetRemoteCode RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhGetAlarmPowerOnOffMode() {
        try {
            return this.mService.xzjhGetAlarmPowerOnOffMode();
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "xzjhGetAlarmPowerOnOffMode RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int xzjhSetAlarmPowerOnOffMode(int mode) {
        try {
            return this.mService.xzjhSetAlarmPowerOnOffMode(mode);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "xzjhSetAlarmPowerOnOffMode RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int[] xzjhGetAlarmPowerOnOffTime() {
        try {
            return this.mService.xzjhGetAlarmPowerOnOffTime();
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "xzjhGetSingleAlarmPowerOnOffTime RemoteException: " + e.getMessage());
            return null;
        }
    }

    public int xzjhSetAlarmPowerOnOffTime(int[] alarmTime) {
        try {
            return this.mService.xzjhSetAlarmPowerOnOffTime(alarmTime);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "xzjhSetSingleAlarmPowerOnOffTime RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public int[] xzjhGetLastPowerOffTime() {
        try {
            return this.mService.xzjhGetLastPowerOffTime();
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "xzjhGetLastPowerOffTime RemoteException: " + e.getMessage());
            return null;
        }
    }

    public int xzjhSetLastPowerOffTime(int[] alarmTime) {
        try {
            return this.mService.xzjhSetLastPowerOffTime(alarmTime);
        } catch (RemoteException e) {
            e.printStackTrace();
            Log.e(TAG_ZMS, "xzjhSetLastPowerOffTime RemoteException: " + e.getMessage());
            return -1;
        }
    }

    public String xzjhGetAPIVersion() {
        return "337199-2022.04.09";
    }

    public int xzjhGetBacklight() {
        try {
            return this.mService.xzjhGetBacklight();
        } catch (RemoteException e) {
            e.printStackTrace();
            return -1;
        }
    }

    public int xzjhSetBacklight(int backlight) {
        try {
            return this.mService.xzjhSetBacklight(backlight);
        } catch (RemoteException e) {
            e.printStackTrace();
            return -1;
        }
    }

    public int xzjhGetAdcValue() {
        try {
            return this.mService.xzjhGetAdcValue();
        } catch (RemoteException e) {
            e.printStackTrace();
            return -1;
        }
    }

    public int xzjhGetCameraFace(int camId) {
        try {
            return this.mService.xzjhGetCameraFace(camId);
        } catch (RemoteException e) {
            e.printStackTrace();
            return -1;
        }
    }

    public int xzjhSetCameraFace(int camId, int face) {
        try {
            return this.mService.xzjhSetCameraFace(camId, face);
        } catch (RemoteException e) {
            e.printStackTrace();
            return -1;
        }
    }

    public int xzjhGetCameraDegree(int camId) {
        try {
            return this.mService.xzjhGetCameraDegree(camId);
        } catch (RemoteException e) {
            e.printStackTrace();
            return -1;
        }
    }

    public int xzjhSetCameraDegree(int camId, int degree) {
        try {
            return this.mService.xzjhSetCameraDegree(camId, degree);
        } catch (RemoteException e) {
            e.printStackTrace();
            return -1;
        }
    }

    public boolean xzjhGetCameraPreviewMirror(int camId) {
        try {
            return this.mService.xzjhGetCameraPreviewMirror(camId);
        } catch (RemoteException e) {
            e.printStackTrace();
            return false;
        }
    }

    public int xzjhSetCameraPreviewMirror(int camId, boolean mirror) {
        try {
            return this.mService.xzjhSetCameraPreviewMirror(camId, mirror);
        } catch (RemoteException e) {
            e.printStackTrace();
            return -1;
        }
    }

    public boolean xzjhGetCameraRecordMirror(int camId) {
        try {
            return this.mService.xzjhGetCameraRecordMirror(camId);
        } catch (RemoteException e) {
            e.printStackTrace();
            return false;
        }
    }

    public int xzjhSetCameraRecordMirror(int camId, boolean mirror) {
        try {
            return this.mService.xzjhSetCameraRecordMirror(camId, mirror);
        } catch (RemoteException e) {
            e.printStackTrace();
            return -1;
        }
    }
}
