package com.vendor.xzjh.settings;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.AdapterView;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.ListAdapter;
import android.widget.ListView;
import androidx.appcompat.app.ActionBar;
import androidx.appcompat.app.AppCompatActivity;
import com.vendor.xzjh.settings.adapter.BootAppAdapter;
import com.vendor.xzjh.settings.bean.BootAppBean;
import com.vendor.xzjh.settings.constant.Constant;
import com.vendor.xzjh.settings.constant.SharePreferenceKey;
import com.vendor.xzjh.settings.util.AppUtil;
import com.vendor.xzjh.settings.util.LogUtil;
import com.vendor.xzjh.settings.util.SharePreUtil;
import com.vendor.xzjh.settings.util.ShellUtils;
import com.vendor.xzjh.settings.view.CustomDialog;
import java.util.List;

public class BootAppSettingsActivity extends AppCompatActivity implements CompoundButton.OnCheckedChangeListener {
    private static final boolean IS_DEBUG = true;
    private static final String TAG = "BootAppSettingsActivity";
    static String mBootAppPackageName = "";
    static int mSelectedItem = -1;
    BootAppAdapter mAdapter;
    CustomDialog mCustomDialog;
    Context mCxt = null;
    public Handler mHandler = new Handler() {
        /* class com.vendor.xzjh.settings.BootAppSettingsActivity.AnonymousClass1 */

        public void handleMessage(Message msg) {
            super.handleMessage(msg);
            BootAppSettingsActivity bootAppSettingsActivity = BootAppSettingsActivity.this;
            bootAppSettingsActivity.getData(bootAppSettingsActivity.mIsDisplaySysApp);
            BootAppSettingsActivity.this.mAdapter.setData(BootAppSettingsActivity.this.mListAppBean);
        }
    };
    boolean mIsDisplaySysApp = false;
    List<BootAppBean> mListAppBean;
    ListView mLvBootApp;
    OperationAppReceiver mOperationAppReceiver;

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.bootapp_settings_activity);
        this.mCxt = this;
        this.mCustomDialog = new CustomDialog(this.mCxt);
        ActionBar actionBar = getSupportActionBar();
        if (actionBar != null) {
            actionBar.setDisplayHomeAsUpEnabled(IS_DEBUG);
        }
        actionBar.setTitle(R.string.bootapp_settings_title);
        initView();
        initData();
        LogUtil.LogI(TAG, IS_DEBUG, "----onCreate()----" + mBootAppPackageName);
    }

    private void initData() {
        getSPData();
        getData(this.mIsDisplaySysApp);
        BootAppAdapter bootAppAdapter = new BootAppAdapter(this, this.mListAppBean, mSelectedItem);
        this.mAdapter = bootAppAdapter;
        this.mLvBootApp.setAdapter((ListAdapter) bootAppAdapter);
        registerReceiver();
    }

    private void showUninstallAppDialog(String dialogMsg, BootAppBean clickBean) {
        this.mCustomDialog.setTv(dialogMsg);
        this.mCustomDialog.setOnExitListener(new View.OnClickListener(clickBean) {
            /* class com.vendor.xzjh.settings.$$Lambda$BootAppSettingsActivity$z8yuRJ6OvqJGFKL_aGMaKDLtL4c */
            public final /* synthetic */ BootAppBean f$1;

            {
                this.f$1 = r2;
            }

            public final void onClick(View view) {
                BootAppSettingsActivity.this.lambda$showUninstallAppDialog$1$BootAppSettingsActivity(this.f$1, view);
            }
        });
        this.mCustomDialog.setOnCancelListener(new View.OnClickListener() {
            /* class com.vendor.xzjh.settings.$$Lambda$BootAppSettingsActivity$j3Wt_hbnn5sTnAGHsCMDweCVV4E */

            public final void onClick(View view) {
                BootAppSettingsActivity.this.lambda$showUninstallAppDialog$2$BootAppSettingsActivity(view);
            }
        });
        this.mCustomDialog.show();
    }

    public /* synthetic */ void lambda$showUninstallAppDialog$1$BootAppSettingsActivity(BootAppBean clickBean, View view) {
        new Thread(new Runnable() {
            /* class com.vendor.xzjh.settings.$$Lambda$BootAppSettingsActivity$qbE8Ak0XqHcd48Cffpkquo4Lq24 */

            public final void run() {
                BootAppSettingsActivity.lambda$null$0(BootAppBean.this);
            }
        }).start();
        this.mCustomDialog.dismiss();
    }

    static /* synthetic */ void lambda$null$0(BootAppBean clickBean) {
        LogUtil.LogI(TAG, IS_DEBUG, "clickBean.getmAppPackageName(): " + clickBean.getmAppPackageName() + "; clickBean.getIsSysApp(): " + clickBean.getIsSysApp());
        if (!clickBean.getIsSysApp()) {
            ShellUtils.execCommand(new String[]{"pm uninstall " + clickBean.getmAppPackageName()}, (boolean) IS_DEBUG);
        }
    }

    public /* synthetic */ void lambda$showUninstallAppDialog$2$BootAppSettingsActivity(View view) {
        this.mCustomDialog.dismiss();
    }

    private void getSPData() {
        this.mIsDisplaySysApp = ((Boolean) SharePreUtil.getInstance().getValue(SharePreferenceKey.SP_DISPLAY_SYS_APP_KEY, false)).booleanValue();
        mBootAppPackageName = (String) SharePreUtil.getInstance().getValue(SharePreferenceKey.SP_BOOT_APP_KEY, Constant.DEFAULT_PACKAGE_NAME);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void getData(boolean isPlaySysApp) {
        this.mListAppBean = AppUtil.getAllAppInfo(this.mCxt, isPlaySysApp);
        int index = 0;
        while (true) {
            if (index >= this.mListAppBean.size()) {
                break;
            } else if (this.mListAppBean.get(index).getmAppPackageName().equals(mBootAppPackageName)) {
                mSelectedItem = index;
                break;
            } else {
                mSelectedItem = -1;
                index++;
            }
        }
        if (mSelectedItem == -1) {
            SharePreUtil.getInstance().setValue(SharePreferenceKey.SP_BOOT_APP_KEY, Constant.DEFAULT_PACKAGE_NAME);
            mBootAppPackageName = Constant.DEFAULT_PACKAGE_NAME;
        }
        LogUtil.LogI(TAG, IS_DEBUG, " 11------ mSelectedItem ------ " + mSelectedItem + "; mBootAppPackageName: " + mBootAppPackageName);
    }

    private void initView() {
        ListView listView = (ListView) findViewById(R.id.lv_boot_app);
        this.mLvBootApp = listView;
        listView.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            /* class com.vendor.xzjh.settings.$$Lambda$BootAppSettingsActivity$LQ66PqkurRKk20HJKIAT4QYM3zo */

            @Override // android.widget.AdapterView.OnItemClickListener
            public final void onItemClick(AdapterView adapterView, View view, int i, long j) {
                BootAppSettingsActivity.this.lambda$initView$3$BootAppSettingsActivity(adapterView, view, i, j);
            }
        });
        this.mLvBootApp.setOnItemLongClickListener(new AdapterView.OnItemLongClickListener() {
            /* class com.vendor.xzjh.settings.$$Lambda$BootAppSettingsActivity$g_SQ18ABusScnlfyX03fcyK82ic */

            @Override // android.widget.AdapterView.OnItemLongClickListener
            public final boolean onItemLongClick(AdapterView adapterView, View view, int i, long j) {
                return BootAppSettingsActivity.this.lambda$initView$4$BootAppSettingsActivity(adapterView, view, i, j);
            }
        });
    }

    public /* synthetic */ void lambda$initView$3$BootAppSettingsActivity(AdapterView adapterView, View view, int position, long id) {
        if (mSelectedItem != position) {
            mSelectedItem = position;
            mBootAppPackageName = this.mListAppBean.get(position).getmAppPackageName();
            SharePreUtil.getInstance().setValue(SharePreferenceKey.SP_BOOT_APP_KEY, mBootAppPackageName);
        } else {
            mSelectedItem = -1;
            SharePreUtil.getInstance().setValue(SharePreferenceKey.SP_BOOT_APP_KEY, Constant.DEFAULT_PACKAGE_NAME);
            mBootAppPackageName = Constant.DEFAULT_PACKAGE_NAME;
        }
        this.mAdapter.setSelectedItme(mSelectedItem);
        this.mAdapter.notifyDataSetChanged();
    }

    public /* synthetic */ boolean lambda$initView$4$BootAppSettingsActivity(AdapterView adapterView, View view, int position, long id) {
        showUninstallAppDialog(getResources().getString(R.string.uninstall_app), this.mListAppBean.get(position));
        LogUtil.LogI(TAG, IS_DEBUG, " 00000------ position ------ " + position);
        return IS_DEBUG;
    }

    private void clickDisplaySysApp() {
        getData(this.mIsDisplaySysApp);
        this.mAdapter.setSelectedItme(mSelectedItem);
        this.mAdapter.setData(this.mListAppBean);
        SharePreUtil.getInstance().setValue(SharePreferenceKey.SP_DISPLAY_SYS_APP_KEY, Boolean.valueOf(this.mIsDisplaySysApp));
    }

    public boolean onOptionsItemSelected(MenuItem item) {
        if (item.getItemId() != 16908332) {
            return super.onOptionsItemSelected(item);
        }
        finish();
        return IS_DEBUG;
    }

    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.boot_app_menu, menu);
        return super.onCreateOptionsMenu(menu);
    }

    public boolean onPrepareOptionsMenu(Menu menu) {
        CheckBox cbDisplaySysApp = (CheckBox) menu.findItem(R.id.app_bar_switch).getActionView().findViewById(R.id.cb_display_sys_app);
        cbDisplaySysApp.setChecked(this.mIsDisplaySysApp);
        cbDisplaySysApp.setOnCheckedChangeListener(this);
        return super.onPrepareOptionsMenu(menu);
    }

    public void onOptionsMenuClosed(Menu menu) {
        super.onOptionsMenuClosed(menu);
    }

    public void onCheckedChanged(CompoundButton compoundButton, boolean checked) {
        this.mIsDisplaySysApp = checked;
        clickDisplaySysApp();
    }

    private void registerReceiver() {
        this.mOperationAppReceiver = new OperationAppReceiver();
        IntentFilter filter = new IntentFilter();
        filter.addAction("com.rx.operation.app.action");
        registerReceiver(this.mOperationAppReceiver, filter);
    }

    /* access modifiers changed from: package-private */
    public class OperationAppReceiver extends BroadcastReceiver {
        OperationAppReceiver() {
        }

        public void onReceive(Context context, Intent intent) {
            LogUtil.LogI(BootAppSettingsActivity.TAG, BootAppSettingsActivity.IS_DEBUG, "action: " + intent.getAction());
            BootAppSettingsActivity.this.mHandler.sendEmptyMessage(0);
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
    public void onDestroy() {
        super.onDestroy();
        OperationAppReceiver operationAppReceiver = this.mOperationAppReceiver;
        if (operationAppReceiver != null) {
            unregisterReceiver(operationAppReceiver);
            this.mOperationAppReceiver = null;
        }
    }
}
