package com.vendor.xzjh.settings;

import android.app.TimePickerDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.AdapterView;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.TimePicker;
import androidx.appcompat.app.ActionBar;
import androidx.appcompat.app.AppCompatActivity;
import com.vendor.xzjh.settings.adapter.WeekTimerAdapter;
import com.vendor.xzjh.settings.bean.TimerEntries;
import com.vendor.xzjh.settings.constant.Constant;
import com.vendor.xzjh.settings.interfaces.IClickSwitch;
import com.vendor.xzjh.settings.interfaces.IClickWeekSelect;
import com.vendor.xzjh.settings.util.LogUtil;
import com.vendor.xzjh.settings.util.ShowTimeThreadUtil;
import com.vendor.xzjh.settings.util.TimeUtil;
import com.vendor.xzjh.settings.util.ToastUtil;
import com.vendor.xzjh.settings.view.AddTimerDialog;
import com.vendor.xzjh.settings.view.CustomDialog;
import java.util.ArrayList;

public class PowerCycleSettingsActivity extends AppCompatActivity implements View.OnClickListener, IClickSwitch, IClickWeekSelect {
    private static final int HANDLER_WHAT_SHOW_TIME = 1;
    private static final boolean IS_DEBUG = true;
    private static final String TAG = "PowerSettingsActivity";
    int mAddPowerOffHour = -1;
    int mAddPowerOffMinute = -1;
    int mAddPowerOnHour = -1;
    int mAddPowerOnMinute = -1;
    AddTimerDialog mAddTimerDialog;
    Button mButtonCycleTimerSave;
    int mCurrentWeekIndex;
    Context mCxt;
    int[] mCycleAlarmPowerOnOffData = new int[42];
    TimerEntries mDelTimer = null;
    CustomDialog mExitDialog;
    Handler mHandler = new Handler() {
        /* class com.vendor.xzjh.settings.PowerCycleSettingsActivity.AnonymousClass1 */

        public void handleMessage(Message msg) {
            super.handleMessage(msg);
            if (msg.what == 1) {
                PowerCycleSettingsActivity.this.showTime();
            }
        }
    };
    LinearLayout mLLButton;
    LinearLayout mLLList;
    LinearLayout mLLTip;
    IClickSwitch mLisener;
    ArrayList<TimerEntries> mListTimer;
    ListView mLvWeekTimer;
    ShowTimeThreadUtil mShowTimeThread;
    TextView mTvWeekAndTime;
    int[] mWeekChoosed = {0, 0, 0, 0, 0, 0, 0};
    WeekTimerAdapter mWeekTimerAdapter;

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.power_cycle_settings_activity);
        ActionBar actionBar = getSupportActionBar();
        if (actionBar != null) {
            actionBar.setDisplayHomeAsUpEnabled(IS_DEBUG);
        }
        actionBar.setTitle(R.string.power_mode_cycle_title);
        this.mCxt = this;
        initView();
        initData();
    }

    private void initView() {
        this.mLvWeekTimer = (ListView) findViewById(R.id.lv_week_timer);
        this.mLLTip = (LinearLayout) findViewById(R.id.ll_tip);
        this.mLLList = (LinearLayout) findViewById(R.id.ll_list);
        this.mLLButton = (LinearLayout) findViewById(R.id.ll_button);
        Button button = (Button) findViewById(R.id.button_cycle_timer_save);
        this.mButtonCycleTimerSave = button;
        button.setOnClickListener(this);
    }

    private void initData() {
        this.mLisener = this;
        this.mCurrentWeekIndex = TimeUtil.getCurrentWeekIndex();
        int i = 0;
        while (true) {
            int[] iArr = this.mCycleAlarmPowerOnOffData;
            if (i < iArr.length) {
                iArr[i] = 0;
                i++;
            } else {
                buildData();
                WeekTimerAdapter weekTimerAdapter = new WeekTimerAdapter(this.mCxt, Constant.mList, Constant.mGroupKey, this.mLisener);
                this.mWeekTimerAdapter = weekTimerAdapter;
                this.mLvWeekTimer.setAdapter((ListAdapter) weekTimerAdapter);
                this.mLvWeekTimer.setOnItemLongClickListener(new AdapterView.OnItemLongClickListener() {
                    /* class com.vendor.xzjh.settings.$$Lambda$PowerCycleSettingsActivity$ODCGkuKTX46R1m7iRQKb46O5LEI */

                    @Override // android.widget.AdapterView.OnItemLongClickListener
                    public final boolean onItemLongClick(AdapterView adapterView, View view, int i, long j) {
                        return PowerCycleSettingsActivity.this.lambda$initData$0$PowerCycleSettingsActivity(adapterView, view, i, j);
                    }
                });
                return;
            }
        }
    }

    public /* synthetic */ boolean lambda$initData$0$PowerCycleSettingsActivity(AdapterView adapterView, View view, int position, long l) {
        this.mDelTimer = (TimerEntries) Constant.mList.get(position);
        showExitDialog(1, "确定要删除该条记录？");
        return false;
    }

    private void buildData() {
        Constant.mList.clear();
        this.mListTimer = new ArrayList<>();
        int i = 0;
        while (true) {
            boolean z = false;
            if (i >= 7) {
                break;
            }
            int[] iArr = this.mCycleAlarmPowerOnOffData;
            if (iArr[(i * 6) + 2] != 0 || iArr[(i * 6) + 5] != 0) {
                TimerEntries timer = new TimerEntries();
                timer.setWeek(i);
                int[] iArr2 = this.mCycleAlarmPowerOnOffData;
                timer.setPowerOnTime(iArr2[(i * 6) + 0], iArr2[(i * 6) + 1]);
                timer.setPowerOnTimerEnable(this.mCycleAlarmPowerOnOffData[(i * 6) + 2] == 0 ? false : IS_DEBUG);
                int[] iArr3 = this.mCycleAlarmPowerOnOffData;
                timer.setPowerOffTime(iArr3[(i * 6) + 3], iArr3[(i * 6) + 4]);
                if (this.mCycleAlarmPowerOnOffData[(i * 6) + 5] != 0) {
                    z = IS_DEBUG;
                }
                timer.setPowerOffTimerEnable(z);
                this.mListTimer.add(timer);
            }
            i++;
        }
        ArrayList<TimerEntries> arrayList = this.mListTimer;
        if (arrayList == null || arrayList.size() <= 0) {
            this.mLLList.setVisibility(8);
            this.mLLButton.setVisibility(8);
            this.mLLTip.setVisibility(0);
            return;
        }
        this.mLLList.setVisibility(0);
        this.mLLButton.setVisibility(0);
        this.mLLTip.setVisibility(8);
        for (int index = 0; index < this.mListTimer.size(); index++) {
            TimerEntries timer2 = this.mListTimer.get(index);
            if (!Constant.mList.contains(Integer.valueOf(timer2.mWeek))) {
                Constant.mList.add(Integer.valueOf(timer2.mWeek));
            }
            Constant.mList.add(timer2);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void showTime() {
        String dateAndTime = TimeUtil.getCurrentTimeOrDataByFormat("HH:mm:ss");
        TextView textView = this.mTvWeekAndTime;
        textView.setText(dateAndTime + " " + Constant.mGroupKey.get(this.mCurrentWeekIndex));
    }

    private void showExitDialog(int flag, String dialogTitle) {
        if (this.mExitDialog == null) {
            CustomDialog customDialog = new CustomDialog(this);
            this.mExitDialog = customDialog;
            customDialog.setOnExitListener(new View.OnClickListener() {
                /* class com.vendor.xzjh.settings.$$Lambda$PowerCycleSettingsActivity$mNLFchNO9M5E6dTo5YqoU12W7c */

                public final void onClick(View view) {
                    PowerCycleSettingsActivity.this.lambda$showExitDialog$1$PowerCycleSettingsActivity(view);
                }
            });
            this.mExitDialog.setOnCancelListener(new View.OnClickListener() {
                /* class com.vendor.xzjh.settings.$$Lambda$PowerCycleSettingsActivity$aKd9U38l9QBIHPT9593DmaaLxUU */

                public final void onClick(View view) {
                    PowerCycleSettingsActivity.this.lambda$showExitDialog$2$PowerCycleSettingsActivity(view);
                }
            });
            this.mExitDialog.setOnDismissListener(new DialogInterface.OnDismissListener() {
                /* class com.vendor.xzjh.settings.$$Lambda$PowerCycleSettingsActivity$xAkdAMuTWFHqI7ozclAsrPub6Lg */

                public final void onDismiss(DialogInterface dialogInterface) {
                    PowerCycleSettingsActivity.this.lambda$showExitDialog$3$PowerCycleSettingsActivity(dialogInterface);
                }
            });
        }
        if (this.mExitDialog.isShowing()) {
            this.mExitDialog.dismiss();
        }
        this.mExitDialog.setTv(dialogTitle);
        this.mExitDialog.show();
    }

    public /* synthetic */ void lambda$showExitDialog$1$PowerCycleSettingsActivity(View v) {
        if (this.mExitDialog.isShowing()) {
            this.mExitDialog.dismiss();
        }
        deleteSelectedTimer();
    }

    public /* synthetic */ void lambda$showExitDialog$2$PowerCycleSettingsActivity(View v) {
        CustomDialog customDialog = this.mExitDialog;
        if (customDialog != null && customDialog.isShowing()) {
            this.mExitDialog.dismiss();
        }
    }

    public /* synthetic */ void lambda$showExitDialog$3$PowerCycleSettingsActivity(DialogInterface dialogInterface) {
        this.mExitDialog = null;
    }

    public void deleteSelectedTimer() {
        int index = this.mDelTimer.getWeek();
        int[] iArr = this.mCycleAlarmPowerOnOffData;
        iArr[(index * 6) + 2] = 0;
        iArr[(index * 6) + 5] = 0;
        buildData();
        this.mWeekTimerAdapter.setData(Constant.mList, Constant.mGroupKey);
    }

    public boolean onOptionsItemSelected(MenuItem item) {
        if (item.getItemId() != 16908332) {
            return super.onOptionsItemSelected(item);
        }
        finish();
        return IS_DEBUG;
    }

    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.add_power_menu, menu);
        return super.onCreateOptionsMenu(menu);
    }

    public boolean onPrepareOptionsMenu(Menu menu) {
        ((TextView) menu.findItem(R.id.add_power).getActionView().findViewById(R.id.tv_add_power)).setOnClickListener(this);
        this.mTvWeekAndTime = (TextView) menu.findItem(R.id.add_power).getActionView().findViewById(R.id.tv_week_and_time);
        ShowTimeThreadUtil showTimeThreadUtil = new ShowTimeThreadUtil(this.mHandler, 1);
        this.mShowTimeThread = showTimeThreadUtil;
        showTimeThreadUtil.start();
        return super.onPrepareOptionsMenu(menu);
    }

    public void onOptionsMenuClosed(Menu menu) {
        super.onOptionsMenuClosed(menu);
    }

    public void onClick(View view) {
        int id = view.getId();
        if (id == R.id.button_cycle_timer_save) {
            ToastUtil.toastUtil(this.mCxt, "保存成功");
        } else if (id == R.id.tv_add_power) {
            LogUtil.LogI(TAG, IS_DEBUG, "you click add button...");
            showAddTimerDialog();
        }
    }

    private void showAddTimerDialog() {
        if (this.mAddTimerDialog == null) {
            AddTimerDialog addTimerDialog = new AddTimerDialog(this, this);
            this.mAddTimerDialog = addTimerDialog;
            addTimerDialog.setOnComfireListener(new View.OnClickListener() {
                /* class com.vendor.xzjh.settings.$$Lambda$PowerCycleSettingsActivity$AzLSbs4NEG9yakabqvgwpv_n2U */

                public final void onClick(View view) {
                    PowerCycleSettingsActivity.this.lambda$showAddTimerDialog$4$PowerCycleSettingsActivity(view);
                }
            });
            this.mAddTimerDialog.setOnCancelListener(new View.OnClickListener() {
                /* class com.vendor.xzjh.settings.$$Lambda$PowerCycleSettingsActivity$VPzOJsm_0S6iolfcAIGOe8IKmxY */

                public final void onClick(View view) {
                    PowerCycleSettingsActivity.this.lambda$showAddTimerDialog$5$PowerCycleSettingsActivity(view);
                }
            });
            this.mAddTimerDialog.setOnDismissListener(new DialogInterface.OnDismissListener() {
                /* class com.vendor.xzjh.settings.$$Lambda$PowerCycleSettingsActivity$XbgxGmrq5h1e1Fb3dgyTxzVz6o */

                public final void onDismiss(DialogInterface dialogInterface) {
                    PowerCycleSettingsActivity.this.lambda$showAddTimerDialog$6$PowerCycleSettingsActivity(dialogInterface);
                }
            });
            this.mWeekChoosed = new int[]{0, 0, 0, 0, 0, 0, 0};
            int index = 0;
            while (true) {
                int[] iArr = this.mWeekChoosed;
                if (index >= iArr.length) {
                    break;
                }
                this.mAddTimerDialog.setTextViewColor(index, iArr[index]);
                index++;
            }
        }
        if (this.mAddTimerDialog.isShowing()) {
            this.mAddTimerDialog.dismiss();
        }
        this.mAddTimerDialog.setTv("添加定时开关机");
        this.mAddTimerDialog.show();
    }

    public /* synthetic */ void lambda$showAddTimerDialog$4$PowerCycleSettingsActivity(View v) {
        if (this.mAddTimerDialog.isShowing()) {
            this.mAddTimerDialog.dismiss();
            savePowerTimerData();
        }
    }

    public /* synthetic */ void lambda$showAddTimerDialog$5$PowerCycleSettingsActivity(View v) {
        AddTimerDialog addTimerDialog = this.mAddTimerDialog;
        if (addTimerDialog != null && addTimerDialog.isShowing()) {
            this.mAddTimerDialog.dismiss();
        }
    }

    public /* synthetic */ void lambda$showAddTimerDialog$6$PowerCycleSettingsActivity(DialogInterface dialogInterface) {
        this.mWeekChoosed = new int[]{0, 0, 0, 0, 0, 0, 0};
        int index = 0;
        while (true) {
            int[] iArr = this.mWeekChoosed;
            if (index < iArr.length) {
                this.mAddTimerDialog.setTextViewColor(index, iArr[index]);
                index++;
            } else {
                this.mAddTimerDialog.setPowerOnTime(this.mCxt.getResources().getString(R.string.not_settings));
                this.mAddTimerDialog.setPowerOffTime(this.mCxt.getResources().getString(R.string.not_settings));
                this.mAddPowerOnHour = -1;
                this.mAddPowerOnMinute = -1;
                this.mAddPowerOffHour = -1;
                this.mAddPowerOffMinute = -1;
                return;
            }
        }
    }

    private void savePowerTimerData() {
        int i;
        int i2;
        int i3 = 0;
        while (true) {
            int[] iArr = this.mWeekChoosed;
            if (i3 < iArr.length) {
                if (iArr[i3] == 1) {
                    int i4 = this.mAddPowerOnHour;
                    if (i4 == -1 || (i2 = this.mAddPowerOnMinute) == -1) {
                        this.mCycleAlarmPowerOnOffData[(i3 * 6) + 2] = 0;
                    } else {
                        int[] iArr2 = this.mCycleAlarmPowerOnOffData;
                        iArr2[(i3 * 6) + 0] = i4;
                        iArr2[(i3 * 6) + 1] = i2;
                        iArr2[(i3 * 6) + 2] = 1;
                    }
                    int i5 = this.mAddPowerOffHour;
                    if (i5 == -1 || (i = this.mAddPowerOffMinute) == -1) {
                        this.mCycleAlarmPowerOnOffData[(i3 * 6) + 5] = 0;
                    } else {
                        int[] iArr3 = this.mCycleAlarmPowerOnOffData;
                        iArr3[(i3 * 6) + 3] = i5;
                        iArr3[(i3 * 6) + 4] = i;
                        iArr3[(i3 * 6) + 5] = 1;
                    }
                }
                i3++;
            } else {
                buildData();
                this.mWeekTimerAdapter.setData(Constant.mList, Constant.mGroupKey);
                return;
            }
        }
    }

    private void setWeekChooedValue(int index) {
        LogUtil.LogI(TAG, IS_DEBUG, "index: " + index + " ; mWeekChoosed[index]: " + this.mWeekChoosed[index]);
        int[] iArr = this.mWeekChoosed;
        if (iArr[index] == 0) {
            iArr[index] = 1;
        } else {
            iArr[index] = 0;
        }
        this.mAddTimerDialog.setTextViewColor(index, iArr[index]);
    }

    private void TimePickerDialog(int index) {
        new TimePickerDialog(this, new TimePickerDialog.OnTimeSetListener(index) {
            /* class com.vendor.xzjh.settings.$$Lambda$PowerCycleSettingsActivity$wrL1MUnrCsvRXckpJVcskV5Mu7Q */
            public final /* synthetic */ int f$1;

            {
                this.f$1 = r2;
            }

            public final void onTimeSet(TimePicker timePicker, int i, int i2) {
                PowerCycleSettingsActivity.this.lambda$TimePickerDialog$7$PowerCycleSettingsActivity(this.f$1, timePicker, i, i2);
            }
        }, 0, 0, IS_DEBUG).show();
    }

    public /* synthetic */ void lambda$TimePickerDialog$7$PowerCycleSettingsActivity(int index, TimePicker view, int hourOfDay, int minute) {
        LogUtil.LogI(TAG, IS_DEBUG, "hourOfDay: " + hourOfDay + "; mMinute: " + minute);
        AddTimerDialog addTimerDialog = this.mAddTimerDialog;
        if (addTimerDialog == null) {
            return;
        }
        if (index == 0) {
            this.mAddPowerOnHour = hourOfDay;
            this.mAddPowerOnMinute = minute;
            addTimerDialog.setPowerOnTime(String.format("%02d:%02d", Integer.valueOf(hourOfDay), Integer.valueOf(this.mAddPowerOnMinute)));
        } else if (index == 1) {
            this.mAddPowerOffHour = hourOfDay;
            this.mAddPowerOffMinute = minute;
            addTimerDialog.setPowerOffTime(String.format("%02d:%02d", Integer.valueOf(hourOfDay), Integer.valueOf(this.mAddPowerOffMinute)));
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r6v0, resolved type: boolean */
    /* JADX DEBUG: Multi-variable search result rejected for r1v3, resolved type: int[] */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // com.vendor.xzjh.settings.interfaces.IClickSwitch
    public void onClickSwitch(int item, boolean checked, TimerEntries timer) {
        int index = timer.getWeek();
        if (item == 0) {
            this.mCycleAlarmPowerOnOffData[(index * 6) + 2] = checked;
        } else if (item == 1) {
            this.mCycleAlarmPowerOnOffData[(index * 6) + 5] = checked ? 1 : 0;
        }
        buildData();
        this.mWeekTimerAdapter.setData(Constant.mList, Constant.mGroupKey);
    }

    @Override // com.vendor.xzjh.settings.interfaces.IClickWeekSelect
    public void onClickWeekSelect(int item) {
        LogUtil.LogI(TAG, IS_DEBUG, "==== item = " + item + " ====");
        if (item >= 0 && item <= 6) {
            setWeekChooedValue(item);
        }
        if (item >= 10 && item <= 11) {
            TimePickerDialog(item - 10);
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
    public void onDestroy() {
        super.onDestroy();
        ShowTimeThreadUtil showTimeThreadUtil = this.mShowTimeThread;
        if (showTimeThreadUtil != null) {
            showTimeThreadUtil.setStop(IS_DEBUG);
            this.mShowTimeThread = null;
        }
    }
}
