package com.vendor.xzjh.settings;

import android.app.TimePickerDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.CompoundButton;
import android.widget.Switch;
import android.widget.TextView;
import android.widget.TimePicker;
import androidx.appcompat.app.ActionBar;
import androidx.appcompat.app.AppCompatActivity;
import com.vendor.xzjh.settings.constant.Constant;
import com.vendor.xzjh.settings.util.LogUtil;
import com.vendor.xzjh.settings.util.ShowTimeThreadUtil;
import com.vendor.xzjh.settings.util.TimeUtil;
import com.vendor.xzjh.settings.util.ToastUtil;

public class PowerEveryDaySettingsActivity extends AppCompatActivity implements View.OnClickListener, CompoundButton.OnCheckedChangeListener {
    private static final int HANDLER_WHAT_SHOW_TIME = 1;
    private static final boolean IS_DEBUG = true;
    private static final String TAG = "PowerSettingsActivity";
    Button mButtonSave;
    int mCurrentWeekIndex;
    Context mCxt;
    Handler mHandler = new Handler() {
        /* class com.vendor.xzjh.settings.PowerEveryDaySettingsActivity.AnonymousClass1 */

        public void handleMessage(Message msg) {
            super.handleMessage(msg);
            if (msg.what == 1) {
                PowerEveryDaySettingsActivity.this.showTime();
            }
        }
    };
    boolean mPowerOffEnable = false;
    int mPowerOffHour;
    int mPowerOffMinute = -1;
    boolean mPowerOnEnable = false;
    int mPowerOnHour;
    int mPowerOnMinute = -1;
    Switch mSWPowerOff;
    Switch mSWPowerOn;
    ShowTimeThreadUtil mShowTimeThread;
    TextView mTvPowerOffTime;
    TextView mTvPowerOnTime;
    TextView mTvWeekAndTime;

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.power_every_day_settings_activity);
        ActionBar actionBar = getSupportActionBar();
        if (actionBar != null) {
            actionBar.setDisplayHomeAsUpEnabled(IS_DEBUG);
        }
        actionBar.setTitle(R.string.power_mode_every_day_title);
        this.mCxt = this;
        initView();
        initData();
    }

    private void initView() {
        TextView textView = (TextView) findViewById(R.id.tv_power_on_time);
        this.mTvPowerOnTime = textView;
        textView.setOnClickListener(this);
        Switch r0 = (Switch) findViewById(R.id.switch_timer_power_on);
        this.mSWPowerOn = r0;
        r0.setOnCheckedChangeListener(this);
        TextView textView2 = (TextView) findViewById(R.id.tv_power_off_time);
        this.mTvPowerOffTime = textView2;
        textView2.setOnClickListener(this);
        Switch r02 = (Switch) findViewById(R.id.switch_timer_power_off);
        this.mSWPowerOff = r02;
        r02.setOnCheckedChangeListener(this);
        Button button = (Button) findViewById(R.id.button_every_day_timer_save);
        this.mButtonSave = button;
        button.setOnClickListener(this);
    }

    private void initData() {
        this.mCurrentWeekIndex = TimeUtil.getCurrentWeekIndex();
        int[] getAlarmData = null;
        if (0 != 0) {
            boolean z = getAlarmData[2] == 0 ? false : IS_DEBUG;
            this.mPowerOnEnable = z;
            if (z) {
                this.mPowerOnHour = getAlarmData[0];
                this.mPowerOnMinute = getAlarmData[1];
            }
            boolean z2 = getAlarmData[5] == 0 ? false : IS_DEBUG;
            this.mPowerOffEnable = z2;
            if (z2) {
                this.mPowerOffHour = getAlarmData[3];
                this.mPowerOffMinute = getAlarmData[4];
            }
            if (getAlarmData[2] != 0) {
                this.mTvPowerOnTime.setText(String.format("%02d:%02d", Integer.valueOf(getAlarmData[0]), Integer.valueOf(getAlarmData[1])));
                this.mSWPowerOn.setChecked(IS_DEBUG);
            } else {
                this.mSWPowerOn.setChecked(false);
            }
            if (getAlarmData[5] != 0) {
                this.mTvPowerOffTime.setText(String.format("%02d:%02d", Integer.valueOf(getAlarmData[3]), Integer.valueOf(getAlarmData[4])));
                this.mSWPowerOff.setChecked(IS_DEBUG);
                return;
            }
            this.mSWPowerOff.setChecked(false);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void showTime() {
        String dateAndTime = TimeUtil.getCurrentTimeOrDataByFormat("HH:mm:ss");
        TextView textView = this.mTvWeekAndTime;
        textView.setText(dateAndTime + " " + Constant.mGroupKey.get(this.mCurrentWeekIndex));
    }

    public void onCheckedChanged(CompoundButton compoundButton, boolean enable) {
        switch (compoundButton.getId()) {
            case R.id.switch_timer_power_off /*{ENCODED_INT: 2131296544}*/:
                this.mPowerOffEnable = enable;
                return;
            case R.id.switch_timer_power_on /*{ENCODED_INT: 2131296545}*/:
                this.mPowerOnEnable = enable;
                return;
            default:
                return;
        }
    }

    public void onClick(View view) {
        int id = view.getId();
        if (id == R.id.button_every_day_timer_save) {
            int i = this.mPowerOnMinute;
            boolean z = this.mPowerOnEnable;
            int i2 = this.mPowerOffMinute;
            boolean z2 = this.mPowerOffEnable;
            int[] iArr = {this.mPowerOnHour, i, z ? 1 : 0, this.mPowerOffHour, i2, z2 ? 1 : 0};
            if ((!z || i != -1) && (!z2 || i2 != -1)) {
                ToastUtil.toastUtil(this.mCxt, "保存成功");
            } else {
                ToastUtil.toastUtil(this.mCxt, "参数设置错误，请重新设置");
            }
        } else if (id == R.id.tv_power_off_time) {
            TimePickerDialog(1);
        } else if (id == R.id.tv_power_on_time) {
            TimePickerDialog(0);
        }
    }

    public boolean onOptionsItemSelected(MenuItem item) {
        if (item.getItemId() != 16908332) {
            return super.onOptionsItemSelected(item);
        }
        finish();
        return IS_DEBUG;
    }

    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.add_power_menu, menu);
        return super.onCreateOptionsMenu(menu);
    }

    public boolean onPrepareOptionsMenu(Menu menu) {
        ((TextView) menu.findItem(R.id.add_power).getActionView().findViewById(R.id.tv_add_power)).setVisibility(4);
        this.mTvWeekAndTime = (TextView) menu.findItem(R.id.add_power).getActionView().findViewById(R.id.tv_week_and_time);
        ShowTimeThreadUtil showTimeThreadUtil = new ShowTimeThreadUtil(this.mHandler, 1);
        this.mShowTimeThread = showTimeThreadUtil;
        showTimeThreadUtil.start();
        return super.onPrepareOptionsMenu(menu);
    }

    public void onOptionsMenuClosed(Menu menu) {
        super.onOptionsMenuClosed(menu);
    }

    private void TimePickerDialog(int index) {
        TimePickerDialog mTimePickerDialog = new TimePickerDialog(this, new TimePickerDialog.OnTimeSetListener(index) {
            /* class com.vendor.xzjh.settings.$$Lambda$PowerEveryDaySettingsActivity$MyPNq2S0YyjGIujBB7Bi6pnMtc8 */
            public final /* synthetic */ int f$1;

            {
                this.f$1 = r2;
            }

            public final void onTimeSet(TimePicker timePicker, int i, int i2) {
                PowerEveryDaySettingsActivity.this.lambda$TimePickerDialog$0$PowerEveryDaySettingsActivity(this.f$1, timePicker, i, i2);
            }
        }, 0, 0, IS_DEBUG);
        mTimePickerDialog.setButton(-2, "取消", new DialogInterface.OnClickListener() {
            /* class com.vendor.xzjh.settings.PowerEveryDaySettingsActivity.AnonymousClass2 */

            public void onClick(DialogInterface dialogInterface, int which) {
                LogUtil.LogI(PowerEveryDaySettingsActivity.TAG, PowerEveryDaySettingsActivity.IS_DEBUG, "==== 取消 ====");
            }
        });
        mTimePickerDialog.show();
    }

    public /* synthetic */ void lambda$TimePickerDialog$0$PowerEveryDaySettingsActivity(int index, TimePicker view, int hourOfDay, int minute) {
        LogUtil.LogI(TAG, IS_DEBUG, "hourOfDay: " + hourOfDay + "; mMinute: " + minute);
        if (index == 0) {
            this.mPowerOnHour = hourOfDay;
            this.mPowerOnMinute = minute;
            this.mTvPowerOnTime.setText(String.format("%02d:%02d", Integer.valueOf(hourOfDay), Integer.valueOf(this.mPowerOnMinute)));
        } else if (index == 1) {
            this.mPowerOffHour = hourOfDay;
            this.mPowerOffMinute = minute;
            this.mTvPowerOffTime.setText(String.format("%02d:%02d", Integer.valueOf(hourOfDay), Integer.valueOf(this.mPowerOffMinute)));
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
    public void onDestroy() {
        super.onDestroy();
        ShowTimeThreadUtil showTimeThreadUtil = this.mShowTimeThread;
        if (showTimeThreadUtil != null) {
            showTimeThreadUtil.setStop(IS_DEBUG);
            this.mShowTimeThread = null;
        }
    }
}
