package com.vendor.xzjh.settings;

import android.app.DatePickerDialog;
import android.app.TimePickerDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.CompoundButton;
import android.widget.DatePicker;
import android.widget.LinearLayout;
import android.widget.Switch;
import android.widget.TextView;
import android.widget.TimePicker;
import androidx.appcompat.app.ActionBar;
import androidx.appcompat.app.AppCompatActivity;
import com.vendor.xzjh.settings.constant.Constant;
import com.vendor.xzjh.settings.util.LogUtil;
import com.vendor.xzjh.settings.util.ShowTimeThreadUtil;
import com.vendor.xzjh.settings.util.TimeUtil;
import com.vendor.xzjh.settings.util.ToastUtil;
import com.vendor.xzjh.settings.view.LoadingDialog;
import java.util.Calendar;

public class PowerSettingsActivity extends AppCompatActivity implements View.OnClickListener, CompoundButton.OnCheckedChangeListener {
    private static final int HANDLER_WHAT_SHOW_TIME = 1;
    private static final int HANDLER_WHAT_UPDATE_VIEW = 2;
    private static final boolean IS_DEBUG = true;
    private static final String TAG = "PowerSettingsActivity";
    int[] lastPowerOffTime = null;
    int mAlarmPowerOnOffMode = 0;
    Button mButtonSave;
    int mCurrentWeekIndex;
    Context mCxt;
    int[] mGetAlarmData;
    Handler mHandler = new Handler() {
        /* class com.vendor.xzjh.settings.PowerSettingsActivity.AnonymousClass1 */

        public void handleMessage(Message msg) {
            super.handleMessage(msg);
            int i = msg.what;
            if (i == 1) {
                PowerSettingsActivity.this.showTime();
            } else if (i == 2) {
                PowerSettingsActivity.this.updateView();
                if (PowerSettingsActivity.this.mLoadingDialog != null) {
                    PowerSettingsActivity.this.mLoadingDialog.dismiss();
                    PowerSettingsActivity.this.mLoadingDialog = null;
                }
            }
        }
    };
    LinearLayout mLLPowerOnOff;
    LoadingDialog mLoadingDialog;
    int mPowerOffDay;
    boolean mPowerOffEnable = false;
    int mPowerOffHour;
    int mPowerOffMinute = -1;
    int mPowerOffMonth;
    int mPowerOffYear;
    int mPowerOnDay;
    boolean mPowerOnEnable = false;
    int mPowerOnHour;
    int mPowerOnMinute = -1;
    int mPowerOnMonth;
    int mPowerOnYear;
    Switch mSWPowerMode;
    Switch mSWPowerOff;
    Switch mSWPowerOn;
    ShowTimeThreadUtil mShowTimeThread;
    TextView mTvPowerOffTime;
    TextView mTvPowerOnTime;
    TextView mTvWeekAndTime;

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.power_single_settings_activity);
        ActionBar actionBar = getSupportActionBar();
        if (actionBar != null) {
            actionBar.setDisplayHomeAsUpEnabled(IS_DEBUG);
        }
        actionBar.setTitle(R.string.power_title);
        this.mCxt = this;
        showLoadingDialog();
        initView();
        new GetDataThread().start();
    }

    private void showLoadingDialog() {
        LoadingDialog loadingDialog = new LoadingDialog(this);
        this.mLoadingDialog = loadingDialog;
        loadingDialog.setCanceledOnTouchOutside(false);
        this.mLoadingDialog.setTip(getString(R.string.getting_info));
        this.mLoadingDialog.show();
    }

    private void initView() {
        Switch r0 = (Switch) findViewById(R.id.switch_power_on_off_status);
        this.mSWPowerMode = r0;
        r0.setOnCheckedChangeListener(this);
        TextView textView = (TextView) findViewById(R.id.tv_power_on_time);
        this.mTvPowerOnTime = textView;
        textView.setOnClickListener(this);
        Switch r02 = (Switch) findViewById(R.id.switch_timer_power_on);
        this.mSWPowerOn = r02;
        r02.setOnCheckedChangeListener(this);
        TextView textView2 = (TextView) findViewById(R.id.tv_power_off_time);
        this.mTvPowerOffTime = textView2;
        textView2.setOnClickListener(this);
        Switch r03 = (Switch) findViewById(R.id.switch_timer_power_off);
        this.mSWPowerOff = r03;
        r03.setOnCheckedChangeListener(this);
        Button button = (Button) findViewById(R.id.button_single_timer_save);
        this.mButtonSave = button;
        button.setOnClickListener(this);
        this.mLLPowerOnOff = (LinearLayout) findViewById(R.id.ll_power_on_off);
    }

    class GetDataThread extends Thread {
        GetDataThread() {
        }

        public void run() {
            super.run();
            PowerSettingsActivity.this.initData();
            PowerSettingsActivity.this.mHandler.sendEmptyMessage(2);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void initData() {
        this.mCurrentWeekIndex = TimeUtil.getCurrentWeekIndex();
        this.mAlarmPowerOnOffMode = Constant.mManager.xzjhGetAlarmPowerOnOffMode();
        int[] xzjhGetAlarmPowerOnOffTime = Constant.mManager.xzjhGetAlarmPowerOnOffTime();
        this.mGetAlarmData = xzjhGetAlarmPowerOnOffTime;
        if (xzjhGetAlarmPowerOnOffTime != null) {
            boolean z = xzjhGetAlarmPowerOnOffTime[5] == 0 ? false : IS_DEBUG;
            this.mPowerOnEnable = z;
            if (z) {
                this.mPowerOnYear = xzjhGetAlarmPowerOnOffTime[0];
                this.mPowerOnMonth = xzjhGetAlarmPowerOnOffTime[1];
                this.mPowerOnDay = xzjhGetAlarmPowerOnOffTime[2];
                this.mPowerOnHour = xzjhGetAlarmPowerOnOffTime[3];
                this.mPowerOnMinute = xzjhGetAlarmPowerOnOffTime[4];
            }
            boolean z2 = xzjhGetAlarmPowerOnOffTime[11] == 0 ? false : IS_DEBUG;
            this.mPowerOffEnable = z2;
            if (z2) {
                this.mPowerOffYear = xzjhGetAlarmPowerOnOffTime[6];
                this.mPowerOffMonth = xzjhGetAlarmPowerOnOffTime[7];
                this.mPowerOffDay = xzjhGetAlarmPowerOnOffTime[8];
                this.mPowerOffHour = xzjhGetAlarmPowerOnOffTime[9];
                this.mPowerOffMinute = xzjhGetAlarmPowerOnOffTime[10];
            }
        }
        int[] xzjhGetLastPowerOffTime = Constant.mManager.xzjhGetLastPowerOffTime();
        this.lastPowerOffTime = xzjhGetLastPowerOffTime;
        String time = String.format("%04d-%02d-%02d %02d:%02d", Integer.valueOf(xzjhGetLastPowerOffTime[0]), Integer.valueOf(this.lastPowerOffTime[1] + 1), Integer.valueOf(this.lastPowerOffTime[2]), Integer.valueOf(this.lastPowerOffTime[3]), Integer.valueOf(this.lastPowerOffTime[4]));
        LogUtil.LogI(TAG, IS_DEBUG, "==== lastPowerOffTime = " + time + " ====");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void updateView() {
        if (this.mAlarmPowerOnOffMode == 1) {
            this.mSWPowerMode.setChecked(IS_DEBUG);
            this.mLLPowerOnOff.setVisibility(0);
            if (this.mPowerOnEnable) {
                this.mTvPowerOnTime.setText(String.format("%04d-%02d-%02d %02d:%02d", Integer.valueOf(this.mPowerOnYear), Integer.valueOf(this.mPowerOnMonth + 1), Integer.valueOf(this.mPowerOnDay), Integer.valueOf(this.mPowerOnHour), Integer.valueOf(this.mPowerOnMinute)));
                this.mSWPowerOn.setChecked(IS_DEBUG);
            } else {
                this.mSWPowerOn.setChecked(false);
            }
            if (this.mPowerOffEnable) {
                this.mTvPowerOffTime.setText(String.format("%04d-%02d-%02d %02d:%02d", Integer.valueOf(this.mPowerOffYear), Integer.valueOf(this.mPowerOffMonth + 1), Integer.valueOf(this.mPowerOffDay), Integer.valueOf(this.mPowerOffHour), Integer.valueOf(this.mPowerOffMinute)));
                this.mSWPowerOff.setChecked(IS_DEBUG);
                return;
            }
            this.mSWPowerOff.setChecked(false);
            return;
        }
        this.mSWPowerMode.setChecked(false);
        this.mLLPowerOnOff.setVisibility(8);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void showTime() {
        String dateAndTime = TimeUtil.getCurrentTimeOrDataByFormat("yyyy-MM-dd HH:mm:ss");
        TextView textView = this.mTvWeekAndTime;
        textView.setText(dateAndTime + " " + Constant.mGroupKey.get(this.mCurrentWeekIndex));
    }

    public void onCheckedChanged(CompoundButton compoundButton, boolean enable) {
        switch (compoundButton.getId()) {
            case R.id.switch_power_on_off_status /*{ENCODED_INT: 2131296543}*/:
                if (this.mAlarmPowerOnOffMode != enable) {
                    this.mAlarmPowerOnOffMode = enable ? 1 : 0;
                    Constant.mManager.xzjhSetAlarmPowerOnOffMode(this.mAlarmPowerOnOffMode);
                    updateView();
                    return;
                }
                return;
            case R.id.switch_timer_power_off /*{ENCODED_INT: 2131296544}*/:
                this.mPowerOffEnable = enable;
                return;
            case R.id.switch_timer_power_on /*{ENCODED_INT: 2131296545}*/:
                this.mPowerOnEnable = enable;
                return;
            default:
                return;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:20:0x0086  */
    /* JADX WARNING: Removed duplicated region for block: B:21:0x008e  */
    public void onClick(View view) {
        int id = view.getId();
        if (id == R.id.button_single_timer_save) {
            int i = this.mPowerOnMinute;
            boolean z = this.mPowerOnEnable;
            int i2 = this.mPowerOffMinute;
            boolean z2 = this.mPowerOffEnable;
            int[] setAlarmData = {this.mPowerOnYear, this.mPowerOnMonth, this.mPowerOnDay, this.mPowerOnHour, i, z ? 1 : 0, this.mPowerOffYear, this.mPowerOffMonth, this.mPowerOffDay, this.mPowerOffHour, i2, z2 ? 1 : 0};
            if ((!z || i != -1) && (!z2 || i2 != -1)) {
                int tryCount = 3;
                int ret = -1;
                while (true) {
                    int tryCount2 = tryCount - 1;
                    if (tryCount > 0 && ret < 0) {
                        ret = Constant.mManager.xzjhSetAlarmPowerOnOffTime(setAlarmData);
                        tryCount = tryCount2;
                    } else if (ret >= 0) {
                        ToastUtil.toastUtil(this.mCxt, "保存失败，请重试");
                        return;
                    } else {
                        ToastUtil.toastUtil(this.mCxt, "保存成功");
                        return;
                    }
                }
                if (ret >= 0) {
                }
            } else {
                ToastUtil.toastUtil(this.mCxt, "参数设置错误，请重新设置");
            }
        } else if (id == R.id.tv_power_off_time) {
            DatePickerDialog(1);
        } else if (id == R.id.tv_power_on_time) {
            DatePickerDialog(0);
        }
    }

    public boolean onOptionsItemSelected(MenuItem item) {
        if (item.getItemId() != 16908332) {
            return super.onOptionsItemSelected(item);
        }
        finish();
        return IS_DEBUG;
    }

    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.add_power_menu, menu);
        return super.onCreateOptionsMenu(menu);
    }

    public boolean onPrepareOptionsMenu(Menu menu) {
        ((TextView) menu.findItem(R.id.add_power).getActionView().findViewById(R.id.tv_add_power)).setVisibility(4);
        this.mTvWeekAndTime = (TextView) menu.findItem(R.id.add_power).getActionView().findViewById(R.id.tv_week_and_time);
        ShowTimeThreadUtil showTimeThreadUtil = new ShowTimeThreadUtil(this.mHandler, 1);
        this.mShowTimeThread = showTimeThreadUtil;
        showTimeThreadUtil.start();
        return super.onPrepareOptionsMenu(menu);
    }

    public void onOptionsMenuClosed(Menu menu) {
        super.onOptionsMenuClosed(menu);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void TimePickerDialog(int index) {
        TimePickerDialog mTimePickerDialog = new TimePickerDialog(this, new TimePickerDialog.OnTimeSetListener(index) {
            /* class com.vendor.xzjh.settings.$$Lambda$PowerSettingsActivity$hoJ0bGZX1PEaBUmFZwdpGji1vdo */
            public final /* synthetic */ int f$1;

            {
                this.f$1 = r2;
            }

            public final void onTimeSet(TimePicker timePicker, int i, int i2) {
                PowerSettingsActivity.this.lambda$TimePickerDialog$0$PowerSettingsActivity(this.f$1, timePicker, i, i2);
            }
        }, Calendar.getInstance().get(11), Calendar.getInstance().get(12), IS_DEBUG);
        mTimePickerDialog.setButton(-2, "取消", new DialogInterface.OnClickListener() {
            /* class com.vendor.xzjh.settings.PowerSettingsActivity.AnonymousClass2 */

            public void onClick(DialogInterface dialogInterface, int which) {
                LogUtil.LogI(PowerSettingsActivity.TAG, PowerSettingsActivity.IS_DEBUG, "==== 取消 ====");
            }
        });
        mTimePickerDialog.show();
    }

    public /* synthetic */ void lambda$TimePickerDialog$0$PowerSettingsActivity(int index, TimePicker view, int hourOfDay, int minute) {
        LogUtil.LogI(TAG, IS_DEBUG, "hourOfDay: " + hourOfDay + "; mMinute: " + minute);
        if (index == 0) {
            this.mPowerOnHour = hourOfDay;
            this.mPowerOnMinute = minute;
            this.mTvPowerOnTime.setText(String.format("%04d-%02d-%02d %02d:%02d", Integer.valueOf(this.mPowerOnYear), Integer.valueOf(this.mPowerOnMonth + 1), Integer.valueOf(this.mPowerOnDay), Integer.valueOf(this.mPowerOnHour), Integer.valueOf(this.mPowerOnMinute)));
        } else if (index == 1) {
            this.mPowerOffHour = hourOfDay;
            this.mPowerOffMinute = minute;
            this.mTvPowerOffTime.setText(String.format("%04d-%02d-%02d %02d:%02d", Integer.valueOf(this.mPowerOffYear), Integer.valueOf(this.mPowerOffMonth + 1), Integer.valueOf(this.mPowerOffDay), Integer.valueOf(this.mPowerOffHour), Integer.valueOf(this.mPowerOffMinute)));
        }
    }

    private void DatePickerDialog(final int index) {
        DatePickerDialog mDatePickerDialog = new DatePickerDialog(this, new DatePickerDialog.OnDateSetListener() {
            /* class com.vendor.xzjh.settings.PowerSettingsActivity.AnonymousClass3 */

            public void onDateSet(DatePicker datePicker, int year, int monthOfYear, int dayOfMonth) {
                int i = index;
                if (i == 0) {
                    PowerSettingsActivity.this.mPowerOnYear = year;
                    PowerSettingsActivity.this.mPowerOnMonth = monthOfYear;
                    PowerSettingsActivity.this.mPowerOnDay = dayOfMonth;
                } else if (i == 1) {
                    PowerSettingsActivity.this.mPowerOffYear = year;
                    PowerSettingsActivity.this.mPowerOffMonth = monthOfYear;
                    PowerSettingsActivity.this.mPowerOffDay = dayOfMonth;
                }
                PowerSettingsActivity.this.TimePickerDialog(index);
                LogUtil.LogI(PowerSettingsActivity.TAG, PowerSettingsActivity.IS_DEBUG, "==== onDateSet ====");
            }
        }, Calendar.getInstance().get(1), Calendar.getInstance().get(2), Calendar.getInstance().get(5));
        mDatePickerDialog.setButton(-2, "取消", new DialogInterface.OnClickListener() {
            /* class com.vendor.xzjh.settings.PowerSettingsActivity.AnonymousClass4 */

            public void onClick(DialogInterface dialogInterface, int which) {
                LogUtil.LogI(PowerSettingsActivity.TAG, PowerSettingsActivity.IS_DEBUG, "==== 取消 ====");
            }
        });
        mDatePickerDialog.show();
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
    public void onDestroy() {
        super.onDestroy();
        ShowTimeThreadUtil showTimeThreadUtil = this.mShowTimeThread;
        if (showTimeThreadUtil != null) {
            showTimeThreadUtil.setStop(IS_DEBUG);
            this.mShowTimeThread = null;
        }
    }
}
