package com.vendor.xzjh.settings;

import android.content.Context;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.TextView;
import androidx.appcompat.app.ActionBar;
import androidx.appcompat.app.AppCompatActivity;
import com.vendor.xzjh.settings.util.LogUtil;
import com.vendor.xzjh.settings.util.ShellUtils;
import com.vendor.xzjh.settings.util.StrUtil;
import com.vendor.xzjh.settings.util.ToastUtil;
import com.vendor.xzjh.settings.view.AddRouteDialog;
import java.util.Map;

public class SettingIpRouteActivity extends AppCompatActivity implements View.OnClickListener {
    private static final boolean IS_DEBUG = true;
    private static final String TAG = "SettingIpRouteActivity";
    AddRouteDialog mAddRouteDialog = null;
    Context mCxt = null;

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.route_settings_activity);
        ActionBar actionBar = getSupportActionBar();
        if (actionBar != null) {
            actionBar.setDisplayHomeAsUpEnabled(IS_DEBUG);
        }
        actionBar.setTitle(R.string.network_ip_route_title);
        this.mCxt = this;
    }

    public boolean onOptionsItemSelected(MenuItem item) {
        if (item.getItemId() != 16908332) {
            return super.onOptionsItemSelected(item);
        }
        finish();
        return IS_DEBUG;
    }

    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.add_route_menu, menu);
        return super.onCreateOptionsMenu(menu);
    }

    public boolean onPrepareOptionsMenu(Menu menu) {
        ((TextView) menu.findItem(R.id.add_route).getActionView().findViewById(R.id.tv_add_route)).setOnClickListener(this);
        ((TextView) menu.findItem(R.id.add_route).getActionView().findViewById(R.id.tv_del_route)).setOnClickListener(this);
        return super.onPrepareOptionsMenu(menu);
    }

    public void onOptionsMenuClosed(Menu menu) {
        super.onOptionsMenuClosed(menu);
    }

    public void onClick(View view) {
        int id = view.getId();
        if (id == R.id.tv_add_route) {
            LogUtil.LogI(TAG, IS_DEBUG, "you click add button ....");
            showAddRouteDialog();
        } else if (id == R.id.tv_del_route) {
            LogUtil.LogI(TAG, IS_DEBUG, "you click del button ....");
        }
    }

    private void showAddRouteDialog() {
        dismissDialog();
        if (this.mAddRouteDialog == null) {
            this.mAddRouteDialog = new AddRouteDialog(this.mCxt);
        }
        this.mAddRouteDialog.setOnCancelListener(new View.OnClickListener() {
            /* class com.vendor.xzjh.settings.$$Lambda$SettingIpRouteActivity$0mJN5bYaBQ3tllLVJp9X1JHWx2U */

            public final void onClick(View view) {
                SettingIpRouteActivity.this.lambda$showAddRouteDialog$0$SettingIpRouteActivity(view);
            }
        });
        this.mAddRouteDialog.setOnOkListener(new View.OnClickListener() {
            /* class com.vendor.xzjh.settings.$$Lambda$SettingIpRouteActivity$IHpJQzHq9VwqFx18gZjxZ7r0YxI */

            public final void onClick(View view) {
                SettingIpRouteActivity.this.lambda$showAddRouteDialog$1$SettingIpRouteActivity(view);
            }
        });
        this.mAddRouteDialog.show();
    }

    public /* synthetic */ void lambda$showAddRouteDialog$0$SettingIpRouteActivity(View view) {
        this.mAddRouteDialog.dismiss();
    }

    public /* synthetic */ void lambda$showAddRouteDialog$1$SettingIpRouteActivity(View view) {
        this.mAddRouteDialog.dismiss();
        Map map = this.mAddRouteDialog.getRouteInfo();
        this.mAddRouteDialog.setDefaultValue();
        handlerClickComfire(map);
    }

    private void handlerClickComfire(Map map) {
        String sourceGW = (String) map.get("sourceGW");
        String length = (String) map.get("length");
        String netCard = (String) map.get("netCard");
        String targetGW = (String) map.get("targetGW");
        LogUtil.LogI(TAG, IS_DEBUG, "sourceGW: " + sourceGW + ShellUtils.COMMAND_LINE_END);
        LogUtil.LogI(TAG, IS_DEBUG, "length: " + length + ShellUtils.COMMAND_LINE_END);
        LogUtil.LogI(TAG, IS_DEBUG, "netCard: " + netCard + ShellUtils.COMMAND_LINE_END);
        LogUtil.LogI(TAG, IS_DEBUG, "targetGW: " + targetGW + ShellUtils.COMMAND_LINE_END);
        if (StrUtil.isStrEmpty(sourceGW)) {
            ToastUtil.toastUtil(this, getResources().getString(R.string.network_source_gw_is_illegal));
        } else if (StrUtil.isStrEmpty(length)) {
            ToastUtil.toastUtil(this, getResources().getString(R.string.network_length_is_illegal));
        } else if (StrUtil.isStrEmpty(netCard)) {
            ToastUtil.toastUtil(this, getResources().getString(R.string.network_target_netcard_is_illegal));
        } else if (StrUtil.isStrEmpty(targetGW)) {
            ToastUtil.toastUtil(this, getResources().getString(R.string.network_target_gw_is_illegal));
        }
    }

    private void dismissDialog() {
        AddRouteDialog addRouteDialog = this.mAddRouteDialog;
        if (addRouteDialog != null && addRouteDialog.isShowing()) {
            this.mAddRouteDialog.dismiss();
        }
    }
}
