package com.vendor.xzjh.settings;

import android.content.Context;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.TextView;
import androidx.appcompat.app.ActionBar;
import com.vendor.xzjh.settings.constant.Constant;
import com.vendor.xzjh.settings.fragment.SettingsFragment;
import com.vendor.xzjh.settings.util.AppUtil;
import com.vendor.xzjh.settings.util.DevUtil;
import com.vendor.xzjh.settings.util.FileUtil;
import com.vendor.xzjh.settings.util.StrUtil;
import java.io.File;
import java.io.StringWriter;
import java.io.Writer;
import java.util.HashMap;
import java.util.Map;

public class SettingsActivity extends BaseActivity {
    private static final boolean IS_DEBUG = true;
    private static final String TAG = "SettingsActivity";
    public static Context mCxt;
    private Map<String, String> infos = new HashMap();

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, com.vendor.xzjh.settings.BaseActivity
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        if (savedInstanceState == null) {
            getSupportFragmentManager().beginTransaction().replace(R.id.settings_fragment, new SettingsFragment()).commit();
        }
        ActionBar actionBar = getSupportActionBar();
        if (actionBar != null) {
            actionBar.setDisplayHomeAsUpEnabled(IS_DEBUG);
        }
        mCxt = this;
    }

    private void createLogDir() {
        FileUtil.createDir(Constant.LOG_PATH);
        FileUtil.createDir(Constant.APP_LOG_PATH);
        FileUtil.createDir(Constant.SYS_LOG_PATH);
        FileUtil.createDir(Constant.APP_EXCEPTION_LOG_PATH);
        FileUtil.createDir(Constant.SYS_LOGCAT_PATH);
        FileUtil.createDir(Constant.SYS_KMSG_PATH);
    }

    private void saveDevDetailMsg() {
        FileUtil.createFile(Constant.LOG_PATH, Constant.DEV_DETAIL_MSG);
        Map<String, String> collectDeviceInfo = DevUtil.collectDeviceInfo(this);
        this.infos = collectDeviceInfo;
        StringBuffer sb = StrUtil.mapToString(collectDeviceInfo);
        Writer writer = new StringWriter();
        FileUtil.saveMsgToFile(writer, sb.toString(), Constant.LOG_PATH + File.separator + Constant.DEV_DETAIL_MSG);
    }

    @Override // com.vendor.xzjh.settings.BaseActivity
    public int initLayout() {
        return R.layout.settings_activity;
    }

    @Override // com.vendor.xzjh.settings.BaseActivity
    public void initView() {
    }

    @Override // com.vendor.xzjh.settings.BaseActivity
    public void initData() {
        createLogDir();
    }

    public boolean onOptionsItemSelected(MenuItem item) {
        if (item.getItemId() != 16908332) {
            return super.onOptionsItemSelected(item);
        }
        finish();
        return IS_DEBUG;
    }

    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.app_version_menu, menu);
        return super.onCreateOptionsMenu(menu);
    }

    public boolean onPrepareOptionsMenu(Menu menu) {
        ((TextView) menu.findItem(R.id.app_version).getActionView().findViewById(R.id.tv_app_version)).setText(AppUtil.getVersionName(this));
        return super.onPrepareOptionsMenu(menu);
    }

    public void onOptionsMenuClosed(Menu menu) {
        super.onOptionsMenuClosed(menu);
    }
}
