package com.vendor.xzjh.settings.adapter;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.CheckBox;
import android.widget.ImageView;
import android.widget.TextView;
import com.vendor.xzjh.settings.R;
import com.vendor.xzjh.settings.bean.BootAppBean;
import java.util.List;

public class BootAppAdapter extends BaseAdapter {
    private static final boolean IS_DEBUG = true;
    private static final String TAG = "BootAppAdapter";
    private Context mCxt;
    private List<BootAppBean> mListAppItems;
    private LayoutInflater mListContainer;
    private int mSelectedItem = -1;

    public BootAppAdapter(Context context, List<BootAppBean> bootAppBeanList, int selectedItem) {
        this.mListContainer = LayoutInflater.from(context);
        this.mCxt = context;
        this.mListAppItems = bootAppBeanList;
        this.mSelectedItem = selectedItem;
    }

    public void setSelectedItme(int selectedItme) {
        this.mSelectedItem = selectedItme;
    }

    public void setData(List<BootAppBean> bootAppBeanList) {
        this.mListAppItems = bootAppBeanList;
        notifyDataSetChanged();
    }

    public int getCount() {
        return this.mListAppItems.size();
    }

    public Object getItem(int position) {
        return this.mListAppItems.get(position);
    }

    public long getItemId(int i) {
        return 0;
    }

    public View getView(int position, View convertView, ViewGroup viewGroup) {
        ListItemView listItemView;
        if (convertView == null) {
            listItemView = new ListItemView();
            convertView = this.mListContainer.inflate(R.layout.boot_app_list_item, (ViewGroup) null);
            listItemView.mIvAppIcon = (ImageView) convertView.findViewById(R.id.iv_app_icon);
            listItemView.mAppName = (TextView) convertView.findViewById(R.id.tv_app_name);
            listItemView.mAppPackageName = (TextView) convertView.findViewById(R.id.tv_app_packagename);
            listItemView.mAPPVersion = (TextView) convertView.findViewById(R.id.tv_app_version);
            listItemView.mCbVootStart = (CheckBox) convertView.findViewById(R.id.cb_boot_start);
            convertView.setTag(listItemView);
        } else {
            listItemView = (ListItemView) convertView.getTag();
        }
        listItemView.mIvAppIcon.setImageBitmap(this.mListAppItems.get(position).getmIconId());
        listItemView.mAppName.setText(this.mListAppItems.get(position).getmAppName());
        listItemView.mAPPVersion.setText(this.mListAppItems.get(position).getmAppVersion());
        listItemView.mAppPackageName.setText(this.mListAppItems.get(position).getmAppPackageName());
        if (this.mSelectedItem == position) {
            listItemView.mCbVootStart.setChecked(IS_DEBUG);
        } else {
            listItemView.mCbVootStart.setChecked(false);
        }
        return convertView;
    }

    public class ListItemView {
        public TextView mAPPVersion;
        public TextView mAppName;
        public TextView mAppPackageName;
        public CheckBox mCbVootStart;
        public ImageView mIvAppIcon;

        public ListItemView() {
        }
    }
}
