package com.vendor.xzjh.settings.adapter;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.CompoundButton;
import android.widget.Switch;
import android.widget.TextView;
import com.vendor.xzjh.settings.R;
import com.vendor.xzjh.settings.bean.TimerEntries;
import com.vendor.xzjh.settings.interfaces.IClickSwitch;
import java.util.List;

public class WeekTimerAdapter extends BaseAdapter {
    Context mCxt;
    private List<String> mGroupKey;
    IClickSwitch mLisener;
    private List<Object> mList;

    public WeekTimerAdapter(Context context, List<Object> list, List<String> groupKey, IClickSwitch lisener) {
        this.mCxt = context;
        this.mList = list;
        this.mGroupKey = groupKey;
        this.mLisener = lisener;
    }

    public void setData(List<Object> list, List<String> groupKey) {
        this.mList = list;
        this.mGroupKey = groupKey;
        notifyDataSetChanged();
    }

    public int getCount() {
        return this.mList.size();
    }

    public Object getItem(int position) {
        return this.mList.get(position);
    }

    public long getItemId(int position) {
        return (long) position;
    }

    public boolean isEnabled(int position) {
        if (this.mGroupKey.contains(getItem(position))) {
            return false;
        }
        return super.isEnabled(position);
    }

    public View getView(int position, View convertView, ViewGroup parent) {
        if (getItem(position) instanceof Integer) {
            View view = LayoutInflater.from(this.mCxt).inflate(R.layout.week_title, (ViewGroup) null);
            ((TextView) view.findViewById(R.id.tv_week_title)).setText(this.mGroupKey.get(((Integer) getItem(position)).intValue()));
            return view;
        }
        TimerEntries timer = (TimerEntries) getItem(position);
        View view2 = LayoutInflater.from(this.mCxt).inflate(R.layout.timer_list_item, (ViewGroup) null);
        ((TextView) view2.findViewById(R.id.tv_power_on_time)).setText(timer.getStringPowerOnTime());
        ((TextView) view2.findViewById(R.id.tv_power_off_time)).setText(timer.getStringPowerOffTime());
        Switch mPowerOnSwitch = (Switch) view2.findViewById(R.id.switch_timer_power_on);
        mPowerOnSwitch.setChecked(timer.getPowerOnTimerEnable());
        mPowerOnSwitch.setOnCheckedChangeListener(new CompoundButton.OnCheckedChangeListener(timer) {
            /* class com.vendor.xzjh.settings.adapter.$$Lambda$WeekTimerAdapter$ivNOchJ3wvR8Ri6Zkoig861Dqf4 */
            public final /* synthetic */ TimerEntries f$1;

            {
                this.f$1 = r2;
            }

            public final void onCheckedChanged(CompoundButton compoundButton, boolean z) {
                WeekTimerAdapter.this.lambda$getView$0$WeekTimerAdapter(this.f$1, compoundButton, z);
            }
        });
        Switch mPowerOffSwitch = (Switch) view2.findViewById(R.id.switch_timer_power_off);
        mPowerOffSwitch.setChecked(timer.getPowerOffTimerEnable());
        mPowerOffSwitch.setOnCheckedChangeListener(new CompoundButton.OnCheckedChangeListener(timer) {
            /* class com.vendor.xzjh.settings.adapter.$$Lambda$WeekTimerAdapter$oRURw3IpCDSOD8qDPL3ljY3L3wY */
            public final /* synthetic */ TimerEntries f$1;

            {
                this.f$1 = r2;
            }

            public final void onCheckedChanged(CompoundButton compoundButton, boolean z) {
                WeekTimerAdapter.this.lambda$getView$1$WeekTimerAdapter(this.f$1, compoundButton, z);
            }
        });
        return view2;
    }

    public /* synthetic */ void lambda$getView$0$WeekTimerAdapter(TimerEntries timer, CompoundButton compoundButton, boolean checked) {
        this.mLisener.onClickSwitch(0, checked, timer);
    }

    public /* synthetic */ void lambda$getView$1$WeekTimerAdapter(TimerEntries timer, CompoundButton compoundButton, boolean checked) {
        this.mLisener.onClickSwitch(1, checked, timer);
    }
}
