package com.vendor.xzjh.settings.fragment;

import android.os.Bundle;
import androidx.preference.ListPreference;
import androidx.preference.Preference;
import androidx.preference.PreferenceFragmentCompat;
import androidx.preference.SwitchPreference;
import com.vendor.xzjh.settings.R;
import com.vendor.xzjh.settings.constant.Constant;
import com.vendor.xzjh.settings.constant.ViewKey;
import com.vendor.xzjh.settings.util.ToastUtil;

public class CameraSettingsFragment extends PreferenceFragmentCompat implements Preference.OnPreferenceChangeListener {
    private static final boolean IS_DEBUG = true;
    private static final String TAG = "CameraSettingsFragment";
    int mCamera0FrontBack;
    CharSequence[] mCamera0FrontBackEntries;
    boolean mCamera0PreviewMirror;
    int mCamera0PreviewOrientation;
    CharSequence[] mCamera0PreviewOrientationEntries;
    boolean mCamera0RecordMirror;
    int mCamera1FrontBack;
    CharSequence[] mCamera1FrontBackEntries;
    boolean mCamera1PreviewMirror;
    int mCamera1PreviewOrientation;
    CharSequence[] mCamera1PreviewOrientationEntries;
    boolean mCamera1RecordMirror;
    ListPreference mLPCamera0FrontBack;
    ListPreference mLPCamera0PreviewOrientation;
    ListPreference mLPCamera1FrontBack;
    ListPreference mLPCamera1PreviewOrientation;
    SwitchPreference mSPCamera0PreviewMirror;
    SwitchPreference mSPCamera0RecordMirror;
    SwitchPreference mSPCamera1PreviewMirror;
    SwitchPreference mSPCamera1RecordMirror;

    @Override // androidx.preference.PreferenceFragmentCompat
    public void onCreatePreferences(Bundle savedInstanceState, String rootKey) {
        setPreferencesFromResource(R.xml.camera_settings_fragment, rootKey);
    }

    private void initView() {
        ListPreference listPreference = (ListPreference) findPreference(ViewKey.CAEMRA0_FRONT_BACK_KEY);
        this.mLPCamera0FrontBack = listPreference;
        listPreference.setOnPreferenceChangeListener(this);
        ListPreference listPreference2 = (ListPreference) findPreference(ViewKey.CAMERA0_PREVIEW_ORIENTATION_KEY);
        this.mLPCamera0PreviewOrientation = listPreference2;
        listPreference2.setOnPreferenceChangeListener(this);
        SwitchPreference switchPreference = (SwitchPreference) findPreference(ViewKey.CAMERA0_PREVIEW_MIRROR_KEY);
        this.mSPCamera0PreviewMirror = switchPreference;
        switchPreference.setOnPreferenceChangeListener(this);
        SwitchPreference switchPreference2 = (SwitchPreference) findPreference(ViewKey.CAMERA0_RECORD_MIRROR_KEY);
        this.mSPCamera0RecordMirror = switchPreference2;
        switchPreference2.setOnPreferenceChangeListener(this);
        ListPreference listPreference3 = (ListPreference) findPreference(ViewKey.CAEMRA1_FRONT_BACK_KEY);
        this.mLPCamera1FrontBack = listPreference3;
        listPreference3.setOnPreferenceChangeListener(this);
        ListPreference listPreference4 = (ListPreference) findPreference(ViewKey.CAMERA1_PREVIEW_ORIENTATION_KEY);
        this.mLPCamera1PreviewOrientation = listPreference4;
        listPreference4.setOnPreferenceChangeListener(this);
        SwitchPreference switchPreference3 = (SwitchPreference) findPreference(ViewKey.CAMERA1_PREVIEW_MIRROR_KEY);
        this.mSPCamera1PreviewMirror = switchPreference3;
        switchPreference3.setOnPreferenceChangeListener(this);
        SwitchPreference switchPreference4 = (SwitchPreference) findPreference(ViewKey.CAMERA1_RECORD_MIRROR_KEY);
        this.mSPCamera1RecordMirror = switchPreference4;
        switchPreference4.setOnPreferenceChangeListener(this);
    }

    private void initData() {
        this.mCamera0PreviewOrientationEntries = this.mLPCamera0PreviewOrientation.getEntries();
        this.mCamera0FrontBackEntries = this.mLPCamera0FrontBack.getEntries();
        this.mCamera0FrontBack = Constant.mManager.xzjhGetCameraFace(0);
        this.mCamera0PreviewOrientation = Constant.mManager.xzjhGetCameraDegree(0);
        this.mCamera0PreviewMirror = Constant.mManager.xzjhGetCameraPreviewMirror(0);
        this.mCamera0RecordMirror = Constant.mManager.xzjhGetCameraRecordMirror(0);
        this.mCamera1PreviewOrientationEntries = this.mLPCamera1PreviewOrientation.getEntries();
        this.mCamera1FrontBackEntries = this.mLPCamera1FrontBack.getEntries();
        this.mCamera1FrontBack = Constant.mManager.xzjhGetCameraFace(1);
        this.mCamera1PreviewOrientation = Constant.mManager.xzjhGetCameraDegree(1);
        this.mCamera1PreviewMirror = Constant.mManager.xzjhGetCameraPreviewMirror(1);
        this.mCamera1RecordMirror = Constant.mManager.xzjhGetCameraRecordMirror(1);
    }

    @Override // androidx.preference.Preference.OnPreferenceChangeListener
    public boolean onPreferenceChange(Preference preference, Object newValue) {
        String key = preference.getKey();
        if (key.equals(ViewKey.CAEMRA0_FRONT_BACK_KEY)) {
            CharSequence[] entries = this.mLPCamera0FrontBack.getEntries();
            int index = Integer.parseInt((String) newValue);
            this.mLPCamera0FrontBack.setSummary(entries[index]);
            this.mLPCamera0FrontBack.setValueIndex(index);
            Constant.mManager.xzjhSetCameraFace(0, index);
        } else if (key.equals(ViewKey.CAMERA0_PREVIEW_ORIENTATION_KEY)) {
            CharSequence[] entries2 = this.mLPCamera0PreviewOrientation.getEntries();
            int index2 = Integer.parseInt((String) newValue);
            this.mLPCamera0PreviewOrientation.setSummary(entries2[index2]);
            this.mLPCamera0PreviewOrientation.setValueIndex(index2);
            Constant.mManager.xzjhSetCameraDegree(0, index2);
        } else if (key.equals(ViewKey.CAMERA0_PREVIEW_MIRROR_KEY)) {
            boolean isChecked = ((Boolean) newValue).booleanValue();
            this.mSPCamera0PreviewMirror.setChecked(isChecked);
            Constant.mManager.xzjhSetCameraPreviewMirror(0, isChecked);
        } else if (key.equals(ViewKey.CAMERA0_RECORD_MIRROR_KEY)) {
            boolean isChecked2 = ((Boolean) newValue).booleanValue();
            this.mSPCamera0RecordMirror.setChecked(isChecked2);
            Constant.mManager.xzjhSetCameraRecordMirror(0, isChecked2);
        } else if (key.equals(ViewKey.CAEMRA1_FRONT_BACK_KEY)) {
            CharSequence[] entries3 = this.mLPCamera1FrontBack.getEntries();
            int index3 = Integer.parseInt((String) newValue);
            this.mLPCamera1FrontBack.setSummary(entries3[index3]);
            this.mLPCamera1FrontBack.setValueIndex(index3);
            Constant.mManager.xzjhSetCameraFace(1, index3);
        } else if (key.equals(ViewKey.CAMERA1_PREVIEW_ORIENTATION_KEY)) {
            CharSequence[] entries4 = this.mLPCamera1PreviewOrientation.getEntries();
            int index4 = Integer.parseInt((String) newValue);
            this.mLPCamera1PreviewOrientation.setSummary(entries4[index4]);
            this.mLPCamera1PreviewOrientation.setValueIndex(index4);
            Constant.mManager.xzjhSetCameraDegree(1, index4);
        } else if (key.equals(ViewKey.CAMERA1_PREVIEW_MIRROR_KEY)) {
            boolean isChecked3 = ((Boolean) newValue).booleanValue();
            this.mSPCamera1PreviewMirror.setChecked(isChecked3);
            Constant.mManager.xzjhSetCameraPreviewMirror(1, isChecked3);
        } else if (key.equals(ViewKey.CAMERA1_RECORD_MIRROR_KEY)) {
            boolean isChecked4 = ((Boolean) newValue).booleanValue();
            this.mSPCamera1RecordMirror.setChecked(isChecked4);
            Constant.mManager.xzjhSetCameraRecordMirror(1, isChecked4);
        }
        ToastUtil.toastUtil(getActivity(), getActivity().getString(R.string.modify_camera_parameter_reboot_tip));
        return IS_DEBUG;
    }

    @Override // androidx.fragment.app.Fragment
    public void onResume() {
        super.onResume();
        initView();
        initData();
        updateListPreferences();
    }

    private void updateListPreferences() {
        this.mLPCamera0FrontBack.setSummary(this.mCamera0FrontBackEntries[this.mCamera0FrontBack]);
        this.mLPCamera0FrontBack.setValueIndex(this.mCamera0FrontBack);
        this.mLPCamera0PreviewOrientation.setSummary(this.mCamera0PreviewOrientationEntries[this.mCamera0PreviewOrientation]);
        this.mLPCamera0PreviewOrientation.setValueIndex(this.mCamera0PreviewOrientation);
        this.mSPCamera0PreviewMirror.setChecked(this.mCamera0PreviewMirror);
        this.mSPCamera0RecordMirror.setChecked(this.mCamera0RecordMirror);
        this.mLPCamera1FrontBack.setSummary(this.mCamera1FrontBackEntries[this.mCamera1FrontBack]);
        this.mLPCamera1FrontBack.setValueIndex(this.mCamera1FrontBack);
        this.mLPCamera1PreviewOrientation.setSummary(this.mCamera1PreviewOrientationEntries[this.mCamera1PreviewOrientation]);
        this.mLPCamera1PreviewOrientation.setValueIndex(this.mCamera1PreviewOrientation);
        this.mSPCamera1PreviewMirror.setChecked(this.mCamera1PreviewMirror);
        this.mSPCamera1RecordMirror.setChecked(this.mCamera1RecordMirror);
    }

    @Override // androidx.fragment.app.Fragment
    public void onPause() {
        super.onPause();
    }
}
