package com.vendor.xzjh.settings.fragment;

import android.content.Context;
import android.content.res.Resources;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.text.TextUtils;
import android.view.View;
import androidx.core.os.EnvironmentCompat;
import androidx.preference.ListPreference;
import androidx.preference.Preference;
import androidx.preference.PreferenceFragmentCompat;
import androidx.preference.SwitchPreference;
import com.vendor.xzjh.settings.R;
import com.vendor.xzjh.settings.constant.Constant;
import com.vendor.xzjh.settings.constant.SharePreferenceKey;
import com.vendor.xzjh.settings.constant.ViewKey;
import com.vendor.xzjh.settings.util.LogUtil;
import com.vendor.xzjh.settings.util.SharePreUtil;
import com.vendor.xzjh.settings.util.ToastUtil;
import com.vendor.xzjh.settings.view.CustomDialog;
import com.vendor.xzjh.settings.view.EditTextDialog;
import com.vendor.xzjh.settings.view.LoadingDialog;
import java.util.Arrays;
import java.util.List;
import org.apache.commons.validator.routines.UrlValidator;

public class ModifyDataFragment extends PreferenceFragmentCompat implements Preference.OnPreferenceClickListener, Preference.OnPreferenceChangeListener {
    private static final boolean IS_DEBUG = true;
    private static final String TAG = "ModifyDataFragment";
    static int mWatchDogMode = 0;
    CustomDialog mCustomDialog;
    Context mCxt;
    EditTextDialog mEditTextDialog;
    Handler mHandler = new Handler() {
        /* class com.vendor.xzjh.settings.fragment.ModifyDataFragment.AnonymousClass1 */

        public void handleMessage(Message msg) {
            int i;
            Resources resources;
            super.handleMessage(msg);
            int i2 = msg.what;
            boolean z = ModifyDataFragment.IS_DEBUG;
            if (i2 == 1) {
                if (ModifyDataFragment.this.mLoadingDialog != null) {
                    ModifyDataFragment.this.mLoadingDialog.dismiss();
                    ModifyDataFragment.this.mLoadingDialog = null;
                }
                SwitchPreference switchPreference = ModifyDataFragment.this.mSPAutoPowerUp;
                if (ModifyDataFragment.this.mPowerMode == 0) {
                    resources = ModifyDataFragment.this.getActivity().getResources();
                    i = R.string.auto_power_up_mode_disable;
                } else {
                    resources = ModifyDataFragment.this.getActivity().getResources();
                    i = R.string.auto_power_up_mode_enable;
                }
                switchPreference.setSummary(resources.getString(i));
                ModifyDataFragment.this.mSPAutoPowerUp.setChecked(ModifyDataFragment.this.mPowerMode == 0 ? false : ModifyDataFragment.IS_DEBUG);
                ModifyDataFragment.this.mPFMcuFirmwareVersion.setSummary(ModifyDataFragment.this.mMcuVersion);
                SwitchPreference switchPreference2 = ModifyDataFragment.this.mSPHardwareDogSwitch;
                if (ModifyDataFragment.mWatchDogMode == 0) {
                    z = false;
                }
                switchPreference2.setChecked(z);
                List list = Arrays.asList(ModifyDataFragment.this.mHardwareDogTimeoutEntries);
                int tmp_index = list.indexOf(Constant.mManager.xzjhGetWatchDogDefaultTimeoutTime() + "S");
                ModifyDataFragment.this.mLPHardwareDogTimeout.setSummary(ModifyDataFragment.this.mHardwareDogTimeoutEntries[tmp_index]);
                ModifyDataFragment.this.mLPHardwareDogTimeout.setValueIndex(tmp_index);
            }
        }
    };
    CharSequence[] mHardwareDogTimeoutEntries;
    private ListPreference mLPHardwareDogTimeout;
    LoadingDialog mLoadingDialog;
    String mMcuVersion = EnvironmentCompat.MEDIA_UNKNOWN;
    private Preference mPFMcuFirmwareVersion;
    private Preference mPFModifyDeviceModelName;
    private Preference mPFModifyDeviceSerialNum;
    int mPowerMode = 0;
    private SwitchPreference mSPAutoPowerUp;
    private SwitchPreference mSPBootBrowser;
    private SwitchPreference mSPHardwareDogSwitch;

    @Override // androidx.preference.PreferenceFragmentCompat
    public void onCreatePreferences(Bundle savedInstanceState, String rootKey) {
        setPreferencesFromResource(R.xml.modify_settings_fragment, rootKey);
        this.mCxt = getActivity();
    }

    @Override // androidx.fragment.app.Fragment
    public void onResume() {
        super.onResume();
        showLoadingDialog();
        initview();
        new GetDataThread().start();
        getDeviceData();
    }

    private void showLoadingDialog() {
        LoadingDialog loadingDialog = new LoadingDialog(getActivity());
        this.mLoadingDialog = loadingDialog;
        loadingDialog.setCanceledOnTouchOutside(false);
        this.mLoadingDialog.setTip(getString(R.string.getting_info));
        this.mLoadingDialog.show();
    }

    private void initview() {
        this.mSPBootBrowser = (SwitchPreference) findPreference("modify_boot_browser_url");
        String bootBrowserUrl = (String) SharePreUtil.getInstance().getValue("modify_boot_browser_url", EnvironmentCompat.MEDIA_UNKNOWN);
        this.mSPBootBrowser.setSummary(bootBrowserUrl.equals(EnvironmentCompat.MEDIA_UNKNOWN) ? getActivity().getResources().getString(R.string.not_settings) : bootBrowserUrl);
        this.mSPBootBrowser.setOnPreferenceChangeListener(this);
        Preference findPreference = findPreference(ViewKey.MODIFY_DEVICE_SERIAL_NUMBER_KEY);
        this.mPFModifyDeviceSerialNum = findPreference;
        findPreference.setOnPreferenceClickListener(this);
        Preference findPreference2 = findPreference(ViewKey.MODIFY_DEVICE_MODEL_NAME_KEY);
        this.mPFModifyDeviceModelName = findPreference2;
        findPreference2.setOnPreferenceClickListener(this);
        SwitchPreference switchPreference = (SwitchPreference) findPreference(ViewKey.MODIFY_AUTO_POWER_UP_MODE_KEY);
        this.mSPAutoPowerUp = switchPreference;
        switchPreference.setOnPreferenceChangeListener(this);
        Preference findPreference3 = findPreference(ViewKey.MODIFY_MCU_FIRMWARE_VERSION_KEY);
        this.mPFMcuFirmwareVersion = findPreference3;
        findPreference3.setSummary(getResources().getString(R.string.getting_info));
        SwitchPreference switchPreference2 = (SwitchPreference) findPreference(ViewKey.MODIFY_HARDWARE_WATCH_DOG_SWITCH_KEY);
        this.mSPHardwareDogSwitch = switchPreference2;
        switchPreference2.setOnPreferenceChangeListener(this);
        ListPreference listPreference = (ListPreference) findPreference(ViewKey.MODIFY_HARDWARE_WATCH_DOG_TIMEOUT_KEY);
        this.mLPHardwareDogTimeout = listPreference;
        listPreference.setOnPreferenceChangeListener(this);
        this.mHardwareDogTimeoutEntries = this.mLPHardwareDogTimeout.getEntries();
    }

    @Override // androidx.preference.Preference.OnPreferenceClickListener
    public boolean onPreferenceClick(Preference preference) {
        String key = preference.getKey();
        if (key.equals("modify_boot_browser_url")) {
            LogUtil.LogI(TAG, IS_DEBUG, "onPreferenceClick()");
            return IS_DEBUG;
        }
        if (key.equals(ViewKey.MODIFY_DEVICE_SERIAL_NUMBER_KEY)) {
            showEditBrowserUrlDialog(1, getActivity().getResources().getString(R.string.input_modify_device_number), String.format(getActivity().getResources().getString(R.string.input_msg_is_null), getActivity().getResources().getString(R.string.modify_device_serial_number)), String.format(getActivity().getResources().getString(R.string.input_msg_is_illeagal), getActivity().getResources().getString(R.string.modify_device_serial_number)));
        } else if (key.equals(ViewKey.MODIFY_DEVICE_MODEL_NAME_KEY)) {
            showEditBrowserUrlDialog(2, getActivity().getResources().getString(R.string.input_modify_device_model_name), String.format(getActivity().getResources().getString(R.string.input_msg_is_null), getActivity().getResources().getString(R.string.modify_device_model_name)), String.format(getActivity().getResources().getString(R.string.input_msg_is_illeagal), getActivity().getResources().getString(R.string.modify_device_model_name)));
        } else if (key.equals(ViewKey.MODIFY_AUTO_POWER_UP_MODE_KEY)) {
            return IS_DEBUG;
        }
        return false;
    }

    private void showEditBrowserUrlDialog(int dialogId, String dialogTitle, String nullMsg, String illegalMsg) {
        if (this.mEditTextDialog == null) {
            this.mEditTextDialog = new EditTextDialog(getActivity());
        }
        this.mEditTextDialog.setTv(dialogTitle);
        this.mEditTextDialog.setOnExitListener(new View.OnClickListener(dialogId, illegalMsg, nullMsg) {
            /* class com.vendor.xzjh.settings.fragment.$$Lambda$ModifyDataFragment$8mphtzMnQ2pgulntasbURtSHXFI */
            public final /* synthetic */ int f$1;
            public final /* synthetic */ String f$2;
            public final /* synthetic */ String f$3;

            {
                this.f$1 = r2;
                this.f$2 = r3;
                this.f$3 = r4;
            }

            public final void onClick(View view) {
                ModifyDataFragment.this.lambda$showEditBrowserUrlDialog$0$ModifyDataFragment(this.f$1, this.f$2, this.f$3, view);
            }
        });
        this.mEditTextDialog.setOnCancelListener(new View.OnClickListener() {
            /* class com.vendor.xzjh.settings.fragment.$$Lambda$ModifyDataFragment$hsela0_I1UwUHYR_2g7BopXPj6s */

            public final void onClick(View view) {
                ModifyDataFragment.this.lambda$showEditBrowserUrlDialog$1$ModifyDataFragment(view);
            }
        });
        this.mEditTextDialog.show();
    }

    public /* synthetic */ void lambda$showEditBrowserUrlDialog$0$ModifyDataFragment(int dialogId, String illegalMsg, String nullMsg, View view) {
        this.mEditTextDialog.dismiss();
        String inputMsg = this.mEditTextDialog.getEditTextMsg();
        if (!TextUtils.isEmpty(inputMsg)) {
            if (dialogId == 0) {
                if (isUrlValid(inputMsg)) {
                    SharePreUtil.getInstance().setValue("modify_boot_browser_url", inputMsg);
                    SharePreUtil.getInstance().setValue(SharePreferenceKey.SP_BOOT_BROWSER_SWITCH_KEY, Boolean.valueOf((boolean) IS_DEBUG));
                    this.mSPBootBrowser.setSummary(inputMsg);
                    this.mSPBootBrowser.setChecked(IS_DEBUG);
                    return;
                }
                ToastUtil.toastUtil(getActivity(), illegalMsg);
            } else if (dialogId == 1) {
                if (isSerialNoValid(inputMsg)) {
                    Constant.mManager.xzjhSetSerialNo(inputMsg);
                    this.mPFModifyDeviceSerialNum.setSummary(inputMsg);
                    ToastUtil.toastUtil(getActivity(), getActivity().getString(R.string.modify_device_model_name_reboot_tip));
                    return;
                }
                ToastUtil.toastUtil(getActivity(), illegalMsg);
            } else if (dialogId == 2) {
                Constant.mManager.xzjhSetUserData(inputMsg);
                this.mPFModifyDeviceModelName.setSummary(inputMsg);
                ToastUtil.toastUtil(getActivity(), getActivity().getString(R.string.modify_device_model_name_reboot_tip));
            }
        } else if (dialogId == 1) {
            Constant.mManager.xzjhSetSerialNo(inputMsg);
            this.mPFModifyDeviceSerialNum.setSummary(inputMsg);
            ToastUtil.toastUtil(getActivity(), getActivity().getString(R.string.modify_device_model_name_reboot_tip));
        } else if (dialogId == 2) {
            Constant.mManager.xzjhSetUserData(inputMsg);
            this.mPFModifyDeviceModelName.setSummary(inputMsg);
            ToastUtil.toastUtil(getActivity(), getActivity().getString(R.string.modify_device_model_name_reboot_tip));
        } else {
            ToastUtil.toastUtil(getActivity(), nullMsg);
        }
    }

    public /* synthetic */ void lambda$showEditBrowserUrlDialog$1$ModifyDataFragment(View view) {
        this.mEditTextDialog.dismiss();
    }

    private boolean isSerialNoValid(String str) {
        return str.matches("^[a-z0-9A-Z]+$");
    }

    private boolean isUrlValid(String url) {
        return new UrlValidator(new String[]{"http", "https"}).isValid(url);
    }

    @Override // androidx.preference.Preference.OnPreferenceChangeListener
    public boolean onPreferenceChange(Preference preference, Object newValue) {
        String key = preference.getKey();
        if (key.equals("modify_boot_browser_url")) {
            boolean checked = ((Boolean) newValue).booleanValue();
            LogUtil.LogI(TAG, IS_DEBUG, "--=checked: " + checked);
            if (!checked) {
                SharePreUtil.getInstance().setValue(SharePreferenceKey.SP_BOOT_BROWSER_SWITCH_KEY, Boolean.valueOf(checked));
                return IS_DEBUG;
            } else if (((String) SharePreUtil.getInstance().getValue("modify_boot_browser_url", EnvironmentCompat.MEDIA_UNKNOWN)).equals(EnvironmentCompat.MEDIA_UNKNOWN)) {
                showEditBrowserUrlDialog(0, getActivity().getResources().getString(R.string.input_modify_browser_url), String.format(getActivity().getResources().getString(R.string.input_msg_is_null), getActivity().getResources().getString(R.string.modify_network_url)), String.format(getActivity().getResources().getString(R.string.input_msg_is_illeagal), getActivity().getResources().getString(R.string.modify_network_url)));
            } else {
                showChooseDialog();
            }
        } else if (key.equals(ViewKey.MODIFY_AUTO_POWER_UP_MODE_KEY)) {
            boolean checked2 = ((Boolean) newValue).booleanValue();
            this.mSPAutoPowerUp.setSummary(getActivity().getResources().getString(checked2 ? R.string.auto_power_up_mode_enable : R.string.auto_power_up_mode_disable));
            Constant.mManager.xzjhSetAutoPowerUpMode(checked2 ? 1 : 0);
            return IS_DEBUG;
        } else if (key.equals(ViewKey.MODIFY_HARDWARE_WATCH_DOG_SWITCH_KEY)) {
            if (((Boolean) newValue).booleanValue()) {
                Constant.mManager.xzjhSetWatchDogMode(1);
            } else {
                Constant.mManager.xzjhSetWatchDogMode(0);
            }
            return IS_DEBUG;
        } else if (key.equals(ViewKey.MODIFY_HARDWARE_WATCH_DOG_TIMEOUT_KEY)) {
            int tmp_timeout = Constant.mManager.xzjhGetWatchDogDefaultTimeoutTime();
            CharSequence[] entries = this.mLPHardwareDogTimeout.getEntries();
            int index = Integer.parseInt((String) newValue);
            int sel_timeout = Integer.parseInt(entries[index].toString().replace("S", ""));
            if (tmp_timeout != sel_timeout) {
                this.mLPHardwareDogTimeout.setSummary(entries[index]);
                this.mLPHardwareDogTimeout.setValueIndex(index);
                Constant.mManager.xzjhSetWatchDogDefaultTimeoutTime(sel_timeout);
            }
        }
        return false;
    }

    private void showChooseDialog() {
        if (this.mCustomDialog == null) {
            CustomDialog customDialog = new CustomDialog(getActivity());
            this.mCustomDialog = customDialog;
            customDialog.setLeftText(getActivity().getResources().getString(R.string.edit_browser_url));
            this.mCustomDialog.setRightText(getActivity().getResources().getString(R.string.open_boot_browser_switch));
        }
        this.mCustomDialog.setTv(getActivity().getResources().getString(R.string.boot_browser_dialog_tip));
        this.mCustomDialog.setOnExitListener(new View.OnClickListener() {
            /* class com.vendor.xzjh.settings.fragment.$$Lambda$ModifyDataFragment$f7wwG5q1xPyqewNqvdSSpJARXiM */

            public final void onClick(View view) {
                ModifyDataFragment.this.lambda$showChooseDialog$2$ModifyDataFragment(view);
            }
        });
        this.mCustomDialog.setOnCancelListener(new View.OnClickListener() {
            /* class com.vendor.xzjh.settings.fragment.$$Lambda$ModifyDataFragment$_6KZjy_dE0nY9ZoPaMZA57JWuAM */

            public final void onClick(View view) {
                ModifyDataFragment.this.lambda$showChooseDialog$3$ModifyDataFragment(view);
            }
        });
        this.mCustomDialog.show();
    }

    public /* synthetic */ void lambda$showChooseDialog$2$ModifyDataFragment(View view) {
        this.mCustomDialog.dismiss();
        this.mSPBootBrowser.setChecked(IS_DEBUG);
        SharePreUtil.getInstance().setValue(SharePreferenceKey.SP_BOOT_BROWSER_SWITCH_KEY, Boolean.valueOf((boolean) IS_DEBUG));
    }

    public /* synthetic */ void lambda$showChooseDialog$3$ModifyDataFragment(View view) {
        this.mCustomDialog.dismiss();
        showEditBrowserUrlDialog(0, getActivity().getResources().getString(R.string.input_modify_browser_url), String.format(getActivity().getResources().getString(R.string.input_msg_is_null), getActivity().getResources().getString(R.string.modify_network_url)), String.format(getActivity().getResources().getString(R.string.input_msg_is_illeagal), getActivity().getResources().getString(R.string.modify_network_url)));
    }

    private void getDeviceData() {
        if (this.mPFModifyDeviceSerialNum != null) {
            this.mPFModifyDeviceSerialNum.setSummary(Constant.mManager.xzjhGetSerialNo());
        }
        if (this.mPFModifyDeviceModelName != null) {
            String modelName = Constant.mManager.xzjhGetUserData();
            LogUtil.LogI(TAG, IS_DEBUG, "modelName: " + modelName);
            this.mPFModifyDeviceModelName.setSummary(modelName);
        }
    }

    class GetDataThread extends Thread {
        GetDataThread() {
        }

        public void run() {
            super.run();
            ModifyDataFragment.this.mPowerMode = Constant.mManager.xzjhGetAutoPowerUpMode();
            ModifyDataFragment.this.mMcuVersion = Constant.mManager.xzjhGetMcuFirmwareVersion();
            ModifyDataFragment.mWatchDogMode = Constant.mManager.xzjhGetWatchDogMode();
            ModifyDataFragment.this.mHandler.sendEmptyMessage(1);
        }
    }
}
