package com.vendor.xzjh.settings.fragment;

import android.os.Bundle;
import android.widget.SeekBar;
import androidx.preference.PreferenceFragmentCompat;
import com.vendor.xzjh.settings.R;
import com.vendor.xzjh.settings.constant.Constant;
import com.vendor.xzjh.settings.constant.ViewKey;
import com.vendor.xzjh.settings.view.SeekBarPreference;

public class ScreenEffectFragment extends PreferenceFragmentCompat implements SeekBarPreference.OnSeekBarPrefsChangeListener {
    private static final int DIAPLAY_AUX = 1;
    private static final int DIAPLAY_MAIN = 0;
    private static final boolean IS_DEBUG = true;
    private static final String TAG = "ScreenEffectFragment";
    SeekBarPreference mSBPAuxBrightness;
    SeekBarPreference mSBPAuxContrast;
    SeekBarPreference mSBPAuxHue;
    SeekBarPreference mSBPAuxSaturation;
    SeekBarPreference mSBPMainBrightness;
    SeekBarPreference mSBPMainContrast;
    SeekBarPreference mSBPMainHue;
    SeekBarPreference mSBPMainSaturation;

    @Override // androidx.preference.PreferenceFragmentCompat
    public void onCreatePreferences(Bundle savedInstanceState, String rootKey) {
        setPreferencesFromResource(R.xml.screen_effect_preferences, rootKey);
        initView();
    }

    private void initView() {
        SeekBarPreference seekBarPreference = (SeekBarPreference) findPreference(ViewKey.MAIN_BRIGHTNESS_KEY);
        this.mSBPMainBrightness = seekBarPreference;
        seekBarPreference.setOnSeekBarPrefsChangeListener(this);
        this.mSBPMainBrightness.setTitle(getResources().getString(R.string.brightness_other));
        SeekBarPreference seekBarPreference2 = (SeekBarPreference) findPreference(ViewKey.MAIN_CONTRAST_KEY);
        this.mSBPMainContrast = seekBarPreference2;
        seekBarPreference2.setOnSeekBarPrefsChangeListener(this);
        this.mSBPMainContrast.setTitle(getResources().getString(R.string.contrast));
        SeekBarPreference seekBarPreference3 = (SeekBarPreference) findPreference(ViewKey.MAIN_SATURATION_KEY);
        this.mSBPMainSaturation = seekBarPreference3;
        seekBarPreference3.setOnSeekBarPrefsChangeListener(this);
        this.mSBPMainSaturation.setTitle(getResources().getString(R.string.saturation));
        SeekBarPreference seekBarPreference4 = (SeekBarPreference) findPreference(ViewKey.MAIN_HUE_KEY);
        this.mSBPMainHue = seekBarPreference4;
        seekBarPreference4.setOnSeekBarPrefsChangeListener(this);
        this.mSBPMainHue.setTitle(getResources().getString(R.string.hue));
        SeekBarPreference seekBarPreference5 = (SeekBarPreference) findPreference(ViewKey.AUX_BRIGHTNESS_KEY);
        this.mSBPAuxBrightness = seekBarPreference5;
        seekBarPreference5.setOnSeekBarPrefsChangeListener(this);
        this.mSBPAuxBrightness.setTitle(getResources().getString(R.string.brightness_other));
        SeekBarPreference seekBarPreference6 = (SeekBarPreference) findPreference(ViewKey.AUX_CONTRAST_KEY);
        this.mSBPAuxContrast = seekBarPreference6;
        seekBarPreference6.setOnSeekBarPrefsChangeListener(this);
        this.mSBPAuxContrast.setTitle(getResources().getString(R.string.contrast));
        SeekBarPreference seekBarPreference7 = (SeekBarPreference) findPreference(ViewKey.AUX_SATURATION_KEY);
        this.mSBPAuxSaturation = seekBarPreference7;
        seekBarPreference7.setOnSeekBarPrefsChangeListener(this);
        this.mSBPAuxSaturation.setTitle(getResources().getString(R.string.saturation));
        SeekBarPreference seekBarPreference8 = (SeekBarPreference) findPreference(ViewKey.AUX_HUE_KEY);
        this.mSBPAuxHue = seekBarPreference8;
        seekBarPreference8.setOnSeekBarPrefsChangeListener(this);
        this.mSBPAuxHue.setTitle(getResources().getString(R.string.hue));
    }

    @Override // com.vendor.xzjh.settings.view.SeekBarPreference.OnSeekBarPrefsChangeListener
    public void onStopTrackingTouch(String key, SeekBar seekBar) {
    }

    @Override // com.vendor.xzjh.settings.view.SeekBarPreference.OnSeekBarPrefsChangeListener
    public void onStartTrackingTouch(String key, SeekBar seekBar) {
    }

    @Override // com.vendor.xzjh.settings.view.SeekBarPreference.OnSeekBarPrefsChangeListener
    public void onProgressChanged(String key, SeekBar seekBar, int progress, boolean fromUser) {
        if (key.equals(ViewKey.MAIN_BRIGHTNESS_KEY)) {
            this.mSBPMainBrightness.setProgress(progress);
            Constant.mManager.xzjhSetBrightProp(0, progress);
        } else if (key.equals(ViewKey.MAIN_CONTRAST_KEY)) {
            this.mSBPMainContrast.setProgress(progress);
            Constant.mManager.xzjhSetContrastProp(0, progress);
        } else if (key.equals(ViewKey.MAIN_SATURATION_KEY)) {
            this.mSBPMainSaturation.setProgress(progress);
            Constant.mManager.xzjhSetSaturationProp(0, progress);
        } else if (key.equals(ViewKey.MAIN_HUE_KEY)) {
            this.mSBPMainHue.setProgress(progress);
            Constant.mManager.xzjhSetHueProp(0, progress);
        } else if (key.equals(ViewKey.AUX_BRIGHTNESS_KEY)) {
            this.mSBPAuxBrightness.setProgress(progress);
            Constant.mManager.xzjhSetBrightProp(1, progress);
        } else if (key.equals(ViewKey.AUX_CONTRAST_KEY)) {
            this.mSBPAuxContrast.setProgress(progress);
            Constant.mManager.xzjhSetContrastProp(1, progress);
        } else if (key.equals(ViewKey.AUX_SATURATION_KEY)) {
            this.mSBPAuxSaturation.setProgress(progress);
            Constant.mManager.xzjhSetSaturationProp(1, progress);
        } else if (key.equals(ViewKey.AUX_HUE_KEY)) {
            this.mSBPAuxHue.setProgress(progress);
            Constant.mManager.xzjhSetHueProp(1, progress);
        }
    }
}
