package com.vendor.xzjh.settings.fragment;

import android.os.Bundle;
import androidx.preference.ListPreference;
import androidx.preference.Preference;
import androidx.preference.PreferenceFragmentCompat;
import androidx.preference.SwitchPreference;
import com.vendor.xzjh.settings.R;
import com.vendor.xzjh.settings.constant.Constant;
import com.vendor.xzjh.settings.constant.PreferenceView;
import com.vendor.xzjh.settings.constant.ViewKey;
import com.vendor.xzjh.settings.util.LogUtil;

public class ScreenStatusBarFragment extends PreferenceFragmentCompat implements Preference.OnPreferenceChangeListener {
    private static final boolean IS_DEBUG = true;
    private static final String TAG = "ScreenStatusBarFragment";
    static int mCurrentValue = -1;
    private int[] mAutoHideTime = {5, 10, 30, 60};
    ListPreference mLPAutoHideTime;

    @Override // androidx.preference.PreferenceFragmentCompat
    public void onCreatePreferences(Bundle savedInstanceState, String rootKey) {
        setPreferencesFromResource(R.xml.screen_status_bar_fragment, rootKey);
    }

    private void initView() {
        PreferenceView.mSPAlwayHide = (SwitchPreference) findPreference(ViewKey.SCREEN_ALWAYS_HIDE_BAR_KEY);
        PreferenceView.mSPAlwayHide.setOnPreferenceChangeListener(this);
        PreferenceView.mSPAutoide = (SwitchPreference) findPreference(ViewKey.SCREEN_AUTO_HIDE_BAR_KEY);
        PreferenceView.mSPAutoide.setOnPreferenceChangeListener(this);
        ListPreference listPreference = (ListPreference) findPreference(ViewKey.SCREEN_STATUS_BAR_AUTO_HIDE_TIME);
        this.mLPAutoHideTime = listPreference;
        listPreference.setOnPreferenceChangeListener(this);
        ListPreference listPreference2 = this.mLPAutoHideTime;
        listPreference2.setSummary(listPreference2.getEntry());
    }

    @Override // androidx.fragment.app.Fragment
    public void onResume() {
        super.onResume();
        initView();
        updateViewStatus();
    }

    private void updateViewStatus() {
        boolean hideBarForever = Constant.mManager.xzjhGetSystemBarEnable();
        LogUtil.LogI(TAG, IS_DEBUG, "updateViewStatus() hideBarForever: " + hideBarForever);
        PreferenceView.mSPAlwayHide.setChecked(hideBarForever);
        if (!hideBarForever) {
            boolean autoHideBar = Constant.mManager.xzjhGetSystemBarAutoHide();
            LogUtil.LogI(TAG, IS_DEBUG, "updateViewStatus() autoHideBar: " + autoHideBar);
            PreferenceView.mSPAutoide.setChecked(autoHideBar);
        }
        mCurrentValue = Constant.mManager.xzjhGetAutoHideBarTime();
    }

    @Override // androidx.preference.Preference.OnPreferenceChangeListener
    public boolean onPreferenceChange(Preference preference, Object newValue) {
        String key = preference.getKey();
        if (key.equals(ViewKey.SCREEN_ALWAYS_HIDE_BAR_KEY)) {
            Constant.mManager.xzjhSetSystemBarEnable(((Boolean) newValue).booleanValue());
            return IS_DEBUG;
        } else if (key.equals(ViewKey.SCREEN_AUTO_HIDE_BAR_KEY)) {
            Constant.mManager.xzjhSetSystemBarAutoHide(((Boolean) newValue).booleanValue());
            return IS_DEBUG;
        } else if (!key.equals(ViewKey.SCREEN_STATUS_BAR_AUTO_HIDE_TIME)) {
            return false;
        } else {
            CharSequence[] entries = this.mLPAutoHideTime.getEntries();
            int index = Integer.parseInt((String) newValue);
            int i = mCurrentValue;
            int[] iArr = this.mAutoHideTime;
            if (i == iArr[index]) {
                return false;
            }
            mCurrentValue = iArr[index];
            this.mLPAutoHideTime.setSummary(entries[index]);
            this.mLPAutoHideTime.setValueIndex(index);
            Constant.mManager.xzjhSetAutoHideBarTime(this.mAutoHideTime[index]);
            return false;
        }
    }
}
