package com.vendor.xzjh.settings.fragment;

import android.media.AudioManager;
import android.os.Bundle;
import android.widget.SeekBar;
import androidx.preference.PreferenceFragmentCompat;
import com.vendor.xzjh.settings.R;
import com.vendor.xzjh.settings.constant.ViewKey;
import com.vendor.xzjh.settings.view.SeekBarPreference;

public class SoundCardFragment extends PreferenceFragmentCompat implements SeekBarPreference.OnSeekBarPrefsChangeListener {
    private static final boolean IS_DEBUG = true;
    private static final String TAG = "SoundCardFragment";
    AudioManager mAudioManager;
    SeekBarPreference mSBPMediaVolue;

    @Override // androidx.preference.PreferenceFragmentCompat
    public void onCreatePreferences(Bundle savedInstanceState, String rootKey) {
        setPreferencesFromResource(R.xml.sound_card_settings_fragment, rootKey);
        this.mAudioManager = (AudioManager) getActivity().getSystemService("audio");
        initView();
        initData();
    }

    private void initData() {
        this.mSBPMediaVolue.setMax(this.mAudioManager.getStreamMaxVolume(3));
        this.mSBPMediaVolue.setProgress(this.mAudioManager.getStreamVolume(3));
    }

    private void initView() {
        SeekBarPreference seekBarPreference = (SeekBarPreference) findPreference(ViewKey.DEVICE_MEDIA_VOLUE_KEY);
        this.mSBPMediaVolue = seekBarPreference;
        seekBarPreference.setOnSeekBarPrefsChangeListener(this);
        this.mSBPMediaVolue.setTitle(getResources().getString(R.string.deivce_media_volue));
    }

    @Override // com.vendor.xzjh.settings.view.SeekBarPreference.OnSeekBarPrefsChangeListener
    public void onStopTrackingTouch(String key, SeekBar seekBar) {
    }

    @Override // com.vendor.xzjh.settings.view.SeekBarPreference.OnSeekBarPrefsChangeListener
    public void onStartTrackingTouch(String key, SeekBar seekBar) {
    }

    @Override // com.vendor.xzjh.settings.view.SeekBarPreference.OnSeekBarPrefsChangeListener
    public void onProgressChanged(String key, SeekBar seekBar, int progress, boolean fromUser) {
        if (key.equals(ViewKey.DEVICE_MEDIA_VOLUE_KEY)) {
            this.mSBPMediaVolue.setProgress(progress);
            this.mAudioManager.setStreamVolume(3, progress, 0);
        }
    }
}
