package com.vendor.xzjh.settings.helpler;

import android.app.XzjhSystemManager;
import android.content.Context;
import android.os.Handler;
import android.os.Message;
import android.os.Process;
import com.vendor.xzjh.settings.constant.Constant;
import com.vendor.xzjh.settings.util.CountDownTimerUtil;
import com.vendor.xzjh.settings.util.LogUtil;

public class FeedDogHelper {
    public static final int HANDLE_START_FEED_DOG_TIMER = 0;
    public static final int HANDLE_STOP_FEED_DOG_TIMER = 1;
    private static final String TAG = "FeedDogHelper";
    private static Context mCxt;
    private static FeedDogHelper mInstance = null;
    private static Handler mParentHandler;
    private boolean IS_DEBUG;
    private FeedWatchDogThread mFeedWatchDogThread;
    Handler mHandler;
    private int mPid;

    public FeedDogHelper() {
        this.IS_DEBUG = true;
        this.mPid = -1;
        this.mFeedWatchDogThread = null;
        this.mHandler = new Handler() {
            /* class com.vendor.xzjh.settings.helpler.FeedDogHelper.AnonymousClass1 */

            public void handleMessage(Message msg) {
                super.handleMessage(msg);
                int i = msg.what;
                if (i == 0) {
                    LogUtil.LogI(FeedDogHelper.TAG, FeedDogHelper.this.IS_DEBUG, "======== xzjhFeedBackWatchDog ========");
                    FeedDogHelper.this.cancelTimer();
                    Constant.mManager.xzjhFeedBackWatchDog();
                    FeedDogHelper.this.startTimer(Constant.mManager.xzjhGetWatchDogDefaultTimeoutTime() - 5);
                } else if (i == 1) {
                    FeedDogHelper.this.cancelTimer();
                }
            }
        };
        this.mPid = Process.myPid();
    }

    public static FeedDogHelper getInstance(Context context, Handler handler) {
        mCxt = context;
        mParentHandler = handler;
        if (mInstance == null) {
            mInstance = new FeedDogHelper();
        }
        Constant.mManager = (XzjhSystemManager) mCxt.getSystemService("xzjh_server");
        return mInstance;
    }

    public void start() {
        if (this.mFeedWatchDogThread == null) {
            this.mFeedWatchDogThread = new FeedWatchDogThread();
        }
        this.mFeedWatchDogThread.start();
    }

    public void stop() {
        FeedWatchDogThread feedWatchDogThread = this.mFeedWatchDogThread;
        if (feedWatchDogThread != null) {
            feedWatchDogThread.stopFeedWatchDogThread();
            this.mFeedWatchDogThread = null;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void cancelTimer() {
        if (Constant.mFeedbaskDogTimer != null) {
            Constant.mFeedbaskDogTimer.cancelTimer();
            Constant.mFeedbaskDogTimer = null;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void startTimer(int second) {
        if (Constant.mFeedbaskDogTimer == null) {
            Constant.mFeedbaskDogTimer = new CountDownTimerUtil(second, this.mHandler, 0);
        }
        Constant.mFeedbaskDogTimer.startTimer();
    }

    class FeedWatchDogThread extends Thread {
        public FeedWatchDogThread() {
        }

        public void run() {
            super.run();
            Constant.mManager.xzjhFeedBackWatchDog();
            Constant.mManager.xzjhSetWatchDogMode(1);
            FeedDogHelper.this.mHandler.sendEmptyMessage(0);
        }

        public void stopFeedWatchDogThread() {
            FeedDogHelper.this.mHandler.sendEmptyMessage(1);
        }
    }
}
