package com.vendor.xzjh.settings.service;

import android.app.Service;
import android.content.Intent;
import android.os.IBinder;
import com.vendor.xzjh.settings.constant.Constant;
import com.vendor.xzjh.settings.util.LogUtil;
import java.io.File;

public class OtaUpdateService extends Service {
    private static final boolean IS_DEBUG = true;
    private static final String TAG = "OtaUpdateService";
    private static final String mOtaFile = "XzjhUpdate.zip";
    String mURootPath;

    public IBinder onBind(Intent intent) {
        return null;
    }

    public void onCreate() {
        super.onCreate();
        LogUtil.LogI(TAG, IS_DEBUG, " ----- onCreate() ----- ");
    }

    public int onStartCommand(Intent intent, int flags, int startId) {
        this.mURootPath = intent.getStringExtra("path");
        LogUtil.LogI(TAG, IS_DEBUG, " ----- onStartCommand() ----- mURootPath: " + this.mURootPath);
        File otaFile = new File(this.mURootPath + File.separator + mOtaFile);
        StringBuilder sb = new StringBuilder();
        sb.append(" ----- onStartCommand() ----- getAbsolutePath: ");
        sb.append(otaFile.getAbsolutePath());
        LogUtil.LogI(TAG, IS_DEBUG, sb.toString());
        if (!otaFile.exists() || !otaFile.canRead()) {
            LogUtil.LogI(TAG, IS_DEBUG, otaFile.getAbsolutePath() + " is not exist or can not read");
        } else {
            int ret = Constant.mManager.xzjhUpdateSysByOtaFile(otaFile.getAbsolutePath());
            LogUtil.LogI(TAG, IS_DEBUG, " ----- onStartCommand() ----- ret: " + ret);
        }
        return super.onStartCommand(intent, flags, startId);
    }
}
