package com.vendor.xzjh.settings.service;

import android.app.Notification;
import android.app.NotificationChannel;
import android.app.NotificationManager;
import android.app.Service;
import android.content.Context;
import android.content.Intent;
import android.os.Build;
import android.os.Handler;
import android.os.IBinder;
import android.os.Message;
import com.vendor.xzjh.settings.R;
import com.vendor.xzjh.settings.constant.Constant;
import com.vendor.xzjh.settings.helpler.KernelHelper;
import com.vendor.xzjh.settings.helpler.LogcatHelper;
import com.vendor.xzjh.settings.util.LogUtil;

public class SysLogService extends Service {
    private static String CHANNEL_ID_STRING = TAG;
    public static final int HAHDLE_START_KERNELTHREAD = 1;
    public static final int HANDLE_START_LOGCATTHREAD = 0;
    public static final int HANDLE_STOP_KERNELTHREAD = 3;
    public static final int HANDLE_STOP_LOGCATTHREAD = 2;
    private static final boolean IS_DEBUG = true;
    private static final String TAG = "SysLogService";
    private static boolean mHasCollectKernelInfo = false;
    private static boolean mHasCollectLogcatInfo = false;
    Context mCxt = null;
    Handler mHandler = new Handler() {
        /* class com.vendor.xzjh.settings.service.SysLogService.AnonymousClass1 */

        public void handleMessage(Message msg) {
            super.handleMessage(msg);
            int i = msg.what;
            if (i == 0) {
                boolean unused = SysLogService.mHasCollectLogcatInfo = SysLogService.IS_DEBUG;
                LogUtil.LogI(SysLogService.TAG, SysLogService.IS_DEBUG, "get HANDLE_START_LOGCATTHREAD start message");
                LogcatHelper.getInstance(SysLogService.this.mCxt, SysLogService.this.mHandler, Constant.SYS_LOGCAT_PATH).start();
            } else if (i == 1) {
                boolean unused2 = SysLogService.mHasCollectKernelInfo = SysLogService.IS_DEBUG;
                LogUtil.LogI(SysLogService.TAG, SysLogService.IS_DEBUG, "get HAHDLE_START_KERNELTHREAD start message");
                KernelHelper.getInstance(SysLogService.this.mCxt, SysLogService.this.mHandler, Constant.SYS_KMSG_PATH).start();
            } else if (i == 2) {
                boolean unused3 = SysLogService.mHasCollectLogcatInfo = false;
                LogUtil.LogI(SysLogService.TAG, SysLogService.IS_DEBUG, "get HANDLE_STOP_LOGCATTHREAD stop message");
                LogcatHelper.getInstance(SysLogService.this.mCxt, SysLogService.this.mHandler, Constant.SYS_LOGCAT_PATH).stop();
                SysLogService.this.mHandler.sendEmptyMessageDelayed(0, 200);
            } else if (i == 3) {
                boolean unused4 = SysLogService.mHasCollectKernelInfo = false;
                LogUtil.LogI(SysLogService.TAG, SysLogService.IS_DEBUG, "get HANDLE_STOP_KERNELTHREAD stop message");
                KernelHelper.getInstance(SysLogService.this.mCxt, SysLogService.this.mHandler, Constant.SYS_KMSG_PATH).stop();
                SysLogService.this.mHandler.sendEmptyMessageDelayed(1, 200);
            }
        }
    };

    public IBinder onBind(Intent intent) {
        return null;
    }

    public void onCreate() {
        super.onCreate();
        this.mCxt = this;
        if (Build.VERSION.SDK_INT >= 26) {
            ((NotificationManager) getSystemService("notification")).createNotificationChannel(new NotificationChannel(CHANNEL_ID_STRING, getString(R.string.app_name), 4));
            startForeground(1, new Notification.Builder(getApplicationContext(), CHANNEL_ID_STRING).build());
        }
    }

    public int onStartCommand(Intent intent, int flags, int startId) {
        if (Constant.mManager.xzjhGetLogInfoOpenStatus() == 1) {
            if (!mHasCollectLogcatInfo) {
                this.mHandler.sendEmptyMessage(0);
            }
            if (!mHasCollectKernelInfo) {
                this.mHandler.sendEmptyMessage(1);
            }
        }
        return super.onStartCommand(intent, flags, startId);
    }

    public void onDestroy() {
        super.onDestroy();
        LogcatHelper.getInstance(this.mCxt, this.mHandler, Constant.SYS_LOGCAT_PATH).stop();
        KernelHelper.getInstance(this.mCxt, this.mHandler, Constant.SYS_KMSG_PATH).stop();
        mHasCollectLogcatInfo = false;
        mHasCollectKernelInfo = false;
    }
}
