package com.vendor.xzjh.settings.service;

import android.app.Service;
import android.content.Context;
import android.content.Intent;
import android.os.IBinder;
import com.vendor.xzjh.settings.util.FileUtil;
import com.vendor.xzjh.settings.util.LogUtil;
import com.vendor.xzjh.settings.util.ShellUtils;
import com.vendor.xzjh.settings.util.ToastUtil;
import java.io.File;

public class UpdateFileToSysService extends Service {
    private static final String BIN_FILE_PERMISSION = "0755";
    private static final String BOOTANIMATION_PERMISSION = "0644";
    private static final String BOOT_FILE_PATH = "/system/media/bootanimation.zip";
    private static final boolean IS_DEBUG = true;
    private static final String LIB_FILE_PERMISSION = "0644";
    private static final String TAG = "UpdateFileToSysService";
    private static String mURootPath = "";
    Context mCxt;
    String mSourceFilePath = null;

    public IBinder onBind(Intent intent) {
        return null;
    }

    public int onStartCommand(Intent intent, int flags, int startId) {
        LogUtil.LogI(TAG, IS_DEBUG, " ----- onStartCommand() ----- ");
        mURootPath = intent.getStringExtra("path");
        for (File file : FileUtil.getAllFileName(new File(mURootPath))) {
            String absolutePath = file.getAbsolutePath();
            this.mSourceFilePath = absolutePath;
            String filePath = absolutePath.replace(mURootPath, "");
            LogUtil.LogI(TAG, IS_DEBUG, "filePath: " + filePath + "\n mSourceFilePath: " + this.mSourceFilePath + ";  file.getName: " + file.getName());
            if (BOOT_FILE_PATH.equals(filePath)) {
                LogUtil.LogI(TAG, IS_DEBUG, "====================== update bootanimation.zip");
                startUpdateFile(this.mSourceFilePath, filePath, "0644");
            } else {
                File sysFile = new File(filePath);
                if (sysFile.exists()) {
                    LogUtil.LogI(TAG, IS_DEBUG, sysFile.getAbsolutePath() + " is exist");
                    if (filePath.contains("system/lib") || filePath.contains("system/priv-app") || filePath.contains("system/app") || filePath.contains("system/framework")) {
                        startUpdateFile(this.mSourceFilePath, filePath, "0644");
                    } else if (filePath.contains("system/bin") || filePath.contains("system/xbin")) {
                        startUpdateFile(this.mSourceFilePath, filePath, BIN_FILE_PERMISSION);
                    }
                } else {
                    LogUtil.LogE(TAG, IS_DEBUG, sysFile.getAbsolutePath() + " is not exist");
                }
            }
        }
        ToastUtil.toastUtil(this.mCxt, "更新系统文件已完成");
        return super.onStartCommand(intent, flags, startId);
    }

    private void startUpdateFile(String suorceFilePath, String filePath, String permission) {
        if (!new File(suorceFilePath).exists()) {
            LogUtil.LogE(TAG, IS_DEBUG, suorceFilePath + " is not exists");
            return;
        }
        LogUtil.LogE(TAG, IS_DEBUG, "mSourceFilePath: " + suorceFilePath + "; filePath: " + filePath);
        ShellUtils.execCommand(new String[]{"mount -o rw,remount /system", "cp " + suorceFilePath + " " + filePath, "chmod " + permission + " " + filePath, "mount -o ro,remount /system"}, (boolean) IS_DEBUG);
    }

    public void onCreate() {
        super.onCreate();
        this.mCxt = this;
        LogUtil.LogI(TAG, IS_DEBUG, " ----- onCreate() ----- ");
    }

    public void onDestroy() {
        super.onDestroy();
        LogUtil.LogI(TAG, IS_DEBUG, " ----- onDestroy() ----- ");
    }
}
