package com.vendor.xzjh.settings.util;

import android.util.Log;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.FileReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.PrintWriter;
import java.io.Writer;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

public class FileUtil {
    private static final boolean IS_DEBUG = true;
    private static final String TAG = "FileUtil";

    public static List<File> getAllFileName(File file) {
        List<File> fileList = new ArrayList<>();
        if (file.isDirectory()) {
            for (File listFile : file.listFiles()) {
                fileList.addAll(getAllFileName(listFile));
            }
        } else {
            fileList.add(file);
        }
        return fileList;
    }

    public static void createFile(String filePath, String fileName) {
        createDir(filePath);
        Log.i("SysLogService", "filePath: " + filePath + " ---- fileName: " + fileName);
        try {
            File file = new File(filePath + File.separator + fileName);
            if (!file.exists()) {
                file.createNewFile();
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public static void createDir(String dirPath) {
        File dir = new File(dirPath);
        if (!dir.exists()) {
            dir.mkdir();
        }
    }

    public static void saveMsgToFile(Writer writer, String msg, String filePath) {
        new PrintWriter(writer);
        FileOutputStream fos = null;
        try {
            fos = new FileOutputStream(filePath);
            fos.write(msg.getBytes());
            try {
                fos.close();
            } catch (IOException e1) {
                e1.printStackTrace();
            }
        } catch (Exception e12) {
            e12.printStackTrace();
            if (fos != null) {
                fos.close();
            }
        } catch (Throwable th) {
            if (fos != null) {
                try {
                    fos.close();
                } catch (IOException e13) {
                    e13.printStackTrace();
                }
            }
            throw th;
        }
    }

    public static void fileLogList(String logPath) {
        File fileDir = new File(logPath);
        if (fileDir.exists() && fileDir.isDirectory()) {
            File[] fileLists = fileDir.listFiles();
            Arrays.sort(fileLists);
            int deleteNum = fileLists.length - 7;
            if (deleteNum > 0) {
                for (int index = 0; index < deleteNum; index++) {
                    deleteDir(fileLists[index]);
                }
            }
        }
    }

    private static boolean deleteDir(File dir) {
        String[] children;
        if (dir.isDirectory()) {
            for (String str : dir.list()) {
                if (!deleteDir(new File(dir, str))) {
                    return false;
                }
            }
        }
        return dir.delete();
    }

    private void copyFile(String strOutFileName, String fileName) {
        try {
            InputStream fosfrom = new FileInputStream(strOutFileName);
            OutputStream fosto = new FileOutputStream(fileName);
            byte[] bt = new byte[1024];
            while (true) {
                int c = fosfrom.read(bt);
                if (c > 0) {
                    fosto.write(bt, 0, c);
                } else {
                    fosfrom.close();
                    fosto.flush();
                    fosto.close();
                    return;
                }
            }
        } catch (Exception ex) {
            LogUtil.LogE(TAG, IS_DEBUG, " ----- Exception ----- " + ex.toString());
        }
    }

    public static String readLine(String filename) throws IOException {
        BufferedReader reader = new BufferedReader(new FileReader(filename), 256);
        try {
            return reader.readLine();
        } finally {
            reader.close();
        }
    }
}
