package com.vendor.xzjh.settings.util;

import java.util.regex.Pattern;

public class IpUtil {
    public static String interMask2String(int prefixLength) {
        int part = prefixLength / 8;
        int remainder = prefixLength % 8;
        int sum = 0;
        for (int i = 8; i > 8 - remainder; i--) {
            sum += (int) Math.pow(2.0d, (double) (i - 1));
        }
        if (part == 0) {
            return sum + ".0.0.0";
        } else if (part == 1) {
            return "255." + sum + ".0.0";
        } else if (part == 2) {
            return "255.255." + sum + ".0";
        } else if (part == 3) {
            return "255.255.255." + sum;
        } else if (part == 4) {
            return "255.255.255.255";
        } else {
            return null;
        }
    }

    public static int maskStr2InetMask(String maskStr) {
        String[] ipSegment;
        int i;
        int inetmask = 0;
        if (!Pattern.compile("(^((\\d|[01]?\\d\\d|2[0-4]\\d|25[0-5])\\.){3}(\\d|[01]?\\d\\d|2[0-4]\\d|25[0-5])$)|^(\\d|[1-2]\\d|3[0-2])$").matcher(maskStr).matches()) {
            return 0;
        }
        for (String str : maskStr.split("\\.")) {
            String str2 = new StringBuffer(Integer.toBinaryString(Integer.parseInt(str))).reverse().toString();
            int count = 0;
            int i2 = 0;
            while (i2 < str2.length() && (i = str2.indexOf("1", i2)) != -1) {
                count++;
                i2 = i + 1;
            }
            inetmask += count;
        }
        return inetmask;
    }
}
