package com.vendor.xzjh.settings.util;

import android.app.AlarmManager;
import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import android.os.SystemClock;
import androidx.core.app.NotificationCompat;
import com.vendor.xzjh.settings.bean.TimerEntries;
import com.vendor.xzjh.settings.constant.Constant;
import com.vendor.xzjh.settings.receiver.XzjhBroadcastReceiver;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;

public class PowerTimerUtils {
    private static final boolean IS_DEBUG = true;
    private static final String TAG = "PowerTimerUtils";

    public static void findTimer(Context context, ArrayList<TimerEntries> listTimer, int weekIndex) {
        if (listTimer.size() != 0) {
            ArrayList<Integer> saveWeekIndex = getSaveWeekIndex(listTimer);
            int lengthSavedWeek = saveWeekIndex.size();
            int closestIndex = closestCurWeek(saveWeekIndex, weekIndex);
            if (saveWeekIndex.size() != 0) {
                int saveValue = saveWeekIndex.get(closestIndex).intValue();
                LogUtil.LogI(TAG, IS_DEBUG, "weekIndex: " + weekIndex + "; closestIndex: " + closestIndex + "; saveValue: " + saveValue + "; listTimer.size(): " + listTimer.size() + "; lengthSavedWeek: " + lengthSavedWeek);
                boolean mFindTimer = false;
                if (weekIndex == saveValue) {
                    int[] currentDateArr = getCurrentDate();
                    int index = 0;
                    while (true) {
                        if (index >= listTimer.size()) {
                            break;
                        }
                        TimerEntries tmpTimer = listTimer.get(index);
                        if (tmpTimer.getWeek() == weekIndex && ((tmpTimer.getPowerOnTimerEnable() || tmpTimer.getPowerOffTimerEnable()) && Constant.mCurrentTimer != tmpTimer)) {
                            Constant.mCurrentTimer = tmpTimer;
                            int[] hourAndMutine = getHourAndMinute(tmpTimer);
                            currentDateArr[3] = hourAndMutine[0];
                            currentDateArr[4] = hourAndMutine[1];
                            currentDateArr[5] = 1;
                            currentDateArr[9] = hourAndMutine[2];
                            currentDateArr[10] = hourAndMutine[3];
                            currentDateArr[11] = 1;
                            if (getStampTime(Long.valueOf(getOnOffPowerRTCTime(currentDateArr)), 1)) {
                                mFindTimer = IS_DEBUG;
                                break;
                            }
                        }
                        index++;
                    }
                    LogUtil.LogI(TAG, IS_DEBUG, "mFindTimer: " + mFindTimer);
                    if (mFindTimer) {
                        return;
                    }
                    if (closestIndex != lengthSavedWeek - 1) {
                        int nextWeekKey = 0;
                        int index2 = closestIndex;
                        while (true) {
                            if (index2 >= saveWeekIndex.size()) {
                                break;
                            } else if (saveValue < saveWeekIndex.get(index2).intValue()) {
                                nextWeekKey = saveWeekIndex.get(index2).intValue();
                                break;
                            } else {
                                index2++;
                            }
                        }
                        LogUtil.LogI(TAG, IS_DEBUG, "mGroupKey.get(nextWeekKey): " + Constant.mGroupKey.get(nextWeekKey) + "; nextWeekKey: " + nextWeekKey);
                        TimerEntries timer = getTimer(listTimer, nextWeekKey);
                        if (timer != null && Constant.mCurrentTimer != timer) {
                            Constant.mCurrentTimer = timer;
                            if (Constant.mCurrentTimer != null) {
                                int[] hourAndMutine2 = getHourAndMinute(Constant.mCurrentTimer);
                                LogUtil.LogI(TAG, IS_DEBUG, "saveWeekIndex.get(closestIndex + 1): " + saveWeekIndex.get(closestIndex + 1));
                                if (nextWeekKey > weekIndex) {
                                    setPowerTimerToRCT(Math.abs(nextWeekKey - weekIndex), hourAndMutine2);
                                } else {
                                    setPowerTimerToRCT(Math.abs((nextWeekKey - weekIndex) + 7), hourAndMutine2);
                                }
                            } else {
                                LogUtil.LogI(TAG, IS_DEBUG, "mCurrentTimer == null === size: " + (saveWeekIndex.get(closestIndex).intValue() + 1));
                            }
                        }
                    } else if (Constant.mCurrentTimer != listTimer.get(0)) {
                        Constant.mCurrentTimer = listTimer.get(0);
                        setPowerTimerToRCT(Math.abs((saveWeekIndex.get(0).intValue() - weekIndex) + 7), getHourAndMinute(Constant.mCurrentTimer));
                    }
                } else {
                    TimerEntries timer2 = getTimer(listTimer, saveValue);
                    if (timer2 != null && Constant.mCurrentTimer != timer2) {
                        Constant.mCurrentTimer = timer2;
                        int[] hourAndMutine3 = getHourAndMinute(Constant.mCurrentTimer);
                        if (weekIndex > saveValue) {
                            setPowerTimerToRCT(Math.abs((saveValue - weekIndex) + 7), hourAndMutine3);
                        } else {
                            setPowerTimerToRCT(Math.abs(saveValue - weekIndex), hourAndMutine3);
                        }
                    }
                }
            }
        }
    }

    private static TimerEntries getTimer(ArrayList<TimerEntries> listTimer, int saveValue) {
        for (int index = 0; index < listTimer.size(); index++) {
            if (listTimer.get(index).getWeek() == saveValue && (listTimer.get(index).getPowerOnTimerEnable() || listTimer.get(index).getPowerOffTimerEnable())) {
                return listTimer.get(index);
            }
        }
        return null;
    }

    private static int[] getHourAndMinute(TimerEntries timer) {
        return new int[]{timer.getPowerOnTime()[0], timer.getPowerOnTime()[1], timer.getPowerOffTime()[0], timer.getPowerOffTime()[1]};
    }

    private static void setPowerTimerToRCT(int delayDay, int[] hourMins) {
        int[] sameWeekBigDayTime = getNextDelayDayOfDate(delayDay);
        sameWeekBigDayTime[3] = hourMins[0];
        sameWeekBigDayTime[4] = hourMins[1];
        sameWeekBigDayTime[5] = 1;
        sameWeekBigDayTime[9] = hourMins[2];
        sameWeekBigDayTime[10] = hourMins[3];
        sameWeekBigDayTime[11] = 1;
    }

    public static long getOnOffPowerRTCTime(int[] power) {
        Calendar mCalendar = Calendar.getInstance();
        mCalendar.set(power[6], power[7] - 1, power[8], power[9], power[10], Integer.parseInt(TimeUtil.getCurrentTimeOrDataByFormat("ss")));
        long RTCtime = mCalendar.getTimeInMillis();
        String timestring = new SimpleDateFormat("yyyy-MM-dd HH:mm").format(new Date(RTCtime));
        LogUtil.LogI(TAG, IS_DEBUG, "Xzjh settings on/off time : " + timestring);
        return RTCtime;
    }

    public static boolean getStampTime(Long time, int distance) {
        if ((time.longValue() - System.currentTimeMillis()) / 1000 >= ((long) (distance * 60))) {
            return IS_DEBUG;
        }
        return false;
    }

    public static int[] getCurrentDate() {
        int[] timeArr = new int[12];
        int[] dateArray = getYearMonDay(new SimpleDateFormat("yyyy-MM-dd").format(new Date()));
        int i = 0;
        for (int item : dateArray) {
            timeArr[i] = item;
            i++;
        }
        int i2 = 6;
        for (int item2 : dateArray) {
            timeArr[i2] = item2;
            i2++;
        }
        return timeArr;
    }

    public static ArrayList getSaveWeekIndex(ArrayList<TimerEntries> listTimer) {
        ArrayList<Integer> saveIndex = new ArrayList<>();
        ArrayList<String> tmpWeekKey = new ArrayList<>();
        for (int index = 0; index < listTimer.size(); index++) {
            TimerEntries timer = listTimer.get(index);
            if ((timer.getPowerOnTimerEnable() || timer.getPowerOffTimerEnable()) && !tmpWeekKey.contains(Constant.mGroupKey.get(timer.getWeek()))) {
                saveIndex.add(Integer.valueOf(timer.getWeek()));
            }
        }
        return saveIndex;
    }

    public static int[] getNextDelayDayOfDate(int delayDays) {
        int[] timeArr = new int[12];
        Date date = new Date();
        Calendar calendar = new GregorianCalendar();
        calendar.setTime(date);
        calendar.add(5, delayDays);
        int[] dateArray = getYearMonDay(new SimpleDateFormat("yyyy-MM-dd").format(calendar.getTime()));
        int i = 0;
        for (int item : dateArray) {
            timeArr[i] = item;
            i++;
        }
        int i2 = 6;
        for (int item2 : dateArray) {
            timeArr[i2] = item2;
            i2++;
        }
        return timeArr;
    }

    public static int[] getYearMonDay(String date) {
        String[] dateArray;
        int length;
        int[] dateInt = new int[3];
        if (date == null || (length = (dateArray = date.split("-")).length) != 3) {
            return null;
        }
        for (int i = 0; i < length; i++) {
            dateInt[i] = Integer.valueOf(dateArray[i]).intValue();
        }
        return dateInt;
    }

    public static int closestCurWeek(ArrayList<Integer> savedWeekIndex, int curWeekIndex) {
        int length = savedWeekIndex.size();
        for (int i = 0; i < length; i++) {
            if (savedWeekIndex.get(i).intValue() >= curWeekIndex) {
                return i;
            }
        }
        return 0;
    }

    private static void setPowerOffAlarm(Context context, long time) {
        ((AlarmManager) context.getSystemService(NotificationCompat.CATEGORY_ALARM)).setExactAndAllowWhileIdle(2, SystemClock.elapsedRealtime() + ((time - System.currentTimeMillis()) - 60000), PendingIntent.getBroadcast(context, 0, new Intent(XzjhBroadcastReceiver.SHOW_POWER_OFF_COUNTDOWN_DIALOG_ACTION), 268435456));
    }
}
