package com.vendor.xzjh.settings.util;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.TimeZone;

public class TimeUtil {
    public static String getCurrentTimeOrDataByFormat(String format) {
        return new SimpleDateFormat(format).format(new Date(System.currentTimeMillis()));
    }

    public static int getCurrentWeekIndex() {
        Calendar c = Calendar.getInstance();
        c.setTimeZone(TimeZone.getTimeZone("GMT+8:00"));
        return c.get(7) - 1;
    }

    public static boolean compareTime(String nowDate, String compareDate, String format) {
        try {
            SimpleDateFormat df = new SimpleDateFormat(format);
            if (df.parse(nowDate).before(df.parse(compareDate))) {
                return true;
            }
            return false;
        } catch (ParseException e) {
            e.printStackTrace();
            return false;
        }
    }
}
