package com.vendor.xzjh.settings.view;

import android.app.Dialog;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.EditText;
import android.widget.TextView;
import com.vendor.xzjh.settings.R;
import java.util.HashMap;
import java.util.Map;

public class AddRouteDialog extends Dialog {
    private TextView button_cancel;
    private TextView button_exit;
    EditText mEtLength;
    EditText mEtSourceGW;
    EditText mEtTargetGW;
    EditText mEtTargetNetcard;

    public AddRouteDialog(Context context) {
        super(context);
        View view = LayoutInflater.from(getContext()).inflate(R.layout.add_route_dialog_layout, (ViewGroup) null);
        this.mEtSourceGW = (EditText) view.findViewById(R.id.et_source_gw);
        this.mEtLength = (EditText) view.findViewById(R.id.et_length);
        this.mEtTargetNetcard = (EditText) view.findViewById(R.id.et_target_netcard);
        this.mEtTargetGW = (EditText) view.findViewById(R.id.et_target_gw);
        this.button_cancel = (TextView) view.findViewById(R.id.btn_cancel);
        this.button_exit = (TextView) view.findViewById(R.id.btn_ok);
        setContentView(view);
    }

    public void setOnCancelListener(View.OnClickListener listener) {
        this.button_cancel.setOnClickListener(listener);
    }

    public void setOnOkListener(View.OnClickListener listener) {
        this.button_exit.setOnClickListener(listener);
    }

    public Map getRouteInfo() {
        Map map = new HashMap();
        map.put("sourceGW", this.mEtSourceGW.getText().toString().trim());
        map.put("length", this.mEtLength.getText().toString().trim());
        map.put("netCard", this.mEtTargetNetcard.getText().toString().trim());
        map.put("targetGW", this.mEtTargetGW.getText().toString().trim());
        return map;
    }

    public void setDefaultValue() {
        this.mEtSourceGW.setText("");
        this.mEtLength.setText("");
        this.mEtTargetNetcard.setText("");
        this.mEtTargetGW.setText("");
    }
}
