package org.apache.commons.validator;

import java.io.IOException;
import org.xml.sax.SAXException;

public abstract class AbstractNumberTest extends AbstractCommonTest {
    protected String ACTION;
    protected String FORM_KEY;

    public AbstractNumberTest(String name) {
        super(name);
    }

    /* access modifiers changed from: protected */
    public void setUp() throws IOException, SAXException {
        loadResources("TestNumber-config.xml");
    }

    /* access modifiers changed from: protected */
    public void tearDown() {
    }

    public void testNumber() throws ValidatorException {
        ValueBean info = new ValueBean();
        info.setValue("0");
        valueTest(info, true);
    }

    public void testNumberFailure() throws ValidatorException {
        valueTest(new ValueBean(), false);
    }

    /* access modifiers changed from: protected */
    public void valueTest(Object info, boolean passed) throws ValidatorException {
        Validator validator = new Validator(this.resources, this.FORM_KEY);
        validator.setParameter(Validator.BEAN_PARAM, info);
        ValidatorResults results = validator.validate();
        assertNotNull("Results are null.", results);
        ValidatorResult result = results.getValidatorResult("value");
        assertNotNull(this.ACTION + " value ValidatorResult should not be null.", result);
        assertTrue(this.ACTION + " value ValidatorResult should contain the '" + this.ACTION + "' action.", result.containsAction(this.ACTION));
        StringBuilder sb = new StringBuilder();
        sb.append(this.ACTION);
        sb.append(" value ValidatorResult for the '");
        sb.append(this.ACTION);
        sb.append("' action should have ");
        sb.append(passed ? "passed" : "failed");
        sb.append(".");
        String sb2 = sb.toString();
        boolean isValid = result.isValid(this.ACTION);
        if (!passed) {
            isValid = !isValid;
        }
        assertTrue(sb2, isValid);
    }
}
