package org.apache.commons.validator;

public class ByteTest extends AbstractNumberTest {
    public ByteTest(String name) {
        super(name);
        this.ACTION = "byte";
        this.FORM_KEY = "byteForm";
    }

    public void testByte() throws ValidatorException {
        ValueBean info = new ValueBean();
        info.setValue("0");
        valueTest(info, true);
    }

    public void testByteMin() throws ValidatorException {
        ValueBean info = new ValueBean();
        Byte b = Byte.MIN_VALUE;
        info.setValue(b.toString());
        valueTest(info, true);
    }

    public void testByteMax() throws ValidatorException {
        ValueBean info = new ValueBean();
        Byte b = Byte.MAX_VALUE;
        info.setValue(b.toString());
        valueTest(info, true);
    }

    public void testByteFailure() throws ValidatorException {
        valueTest(new ValueBean(), false);
    }

    public void testByteBeyondMin() throws ValidatorException {
        ValueBean info = new ValueBean();
        info.setValue("-1281");
        valueTest(info, false);
    }

    public void testByteBeyondMax() throws ValidatorException {
        ValueBean info = new ValueBean();
        info.setValue("1271");
        valueTest(info, false);
    }
}
