package org.apache.commons.validator;

import junit.framework.TestCase;
import org.apache.commons.validator.CreditCardValidator;

@Deprecated
public class CreditCardValidatorTest extends TestCase {
    private static final String VALID_AMEX = "378282246310005";
    private static final String VALID_DINERS = "30569309025904";
    private static final String VALID_DISCOVER = "6011000990139424";
    private static final String VALID_MASTERCARD = "5105105105105100";
    private static final String VALID_SHORT_VISA = "4222222222222";
    private static final String VALID_VISA = "4417123456789113";

    public CreditCardValidatorTest(String name) {
        super(name);
    }

    public void testIsValid() {
        CreditCardValidator ccv = new CreditCardValidator();
        assertFalse(ccv.isValid(null));
        assertFalse(ccv.isValid(""));
        assertFalse(ccv.isValid("123456789012"));
        assertFalse(ccv.isValid("12345678901234567890"));
        assertFalse(ccv.isValid("4417123456789112"));
        assertFalse(ccv.isValid("4417q23456w89113"));
        assertTrue(ccv.isValid(VALID_VISA));
        assertTrue(ccv.isValid(VALID_SHORT_VISA));
        assertTrue(ccv.isValid(VALID_AMEX));
        assertTrue(ccv.isValid(VALID_MASTERCARD));
        assertTrue(ccv.isValid(VALID_DISCOVER));
        assertFalse(new CreditCardValidator(1).isValid(VALID_VISA));
    }

    public void testAddAllowedCardType() {
        CreditCardValidator ccv = new CreditCardValidator(0);
        assertFalse(ccv.isValid(VALID_VISA));
        assertFalse(ccv.isValid(VALID_AMEX));
        assertFalse(ccv.isValid(VALID_MASTERCARD));
        assertFalse(ccv.isValid(VALID_DISCOVER));
        ccv.addAllowedCardType(new DinersClub());
        assertTrue(ccv.isValid(VALID_DINERS));
    }

    private class DinersClub implements CreditCardValidator.CreditCardType {
        private static final String PREFIX = "300,301,302,303,304,305,";

        private DinersClub() {
        }

        @Override // org.apache.commons.validator.CreditCardValidator.CreditCardType
        public boolean matches(String card) {
            if (!PREFIX.contains(card.substring(0, 3) + ",") || card.length() != 14) {
                return false;
            }
            return true;
        }
    }
}
