package org.apache.commons.validator;

public class DoubleTest extends AbstractNumberTest {
    public DoubleTest(String name) {
        super(name);
        this.ACTION = "double";
        this.FORM_KEY = "doubleForm";
    }

    public void testDouble() throws ValidatorException {
        ValueBean info = new ValueBean();
        info.setValue("0");
        valueTest(info, true);
    }

    public void testDoubleMin() throws ValidatorException {
        ValueBean info = new ValueBean();
        info.setValue(Double.valueOf(Double.MIN_VALUE).toString());
        valueTest(info, true);
    }

    public void testDoubleMax() throws ValidatorException {
        ValueBean info = new ValueBean();
        info.setValue(Double.valueOf(Double.MAX_VALUE).toString());
        valueTest(info, true);
    }

    public void testDoubleFailure() throws ValidatorException {
        valueTest(new ValueBean(), false);
    }
}
