package org.apache.commons.validator;

public class FloatTest extends AbstractNumberTest {
    public FloatTest(String name) {
        super(name);
        this.ACTION = "float";
        this.FORM_KEY = "floatForm";
    }

    public void testFloat() throws ValidatorException {
        ValueBean info = new ValueBean();
        info.setValue("0");
        valueTest(info, true);
    }

    public void testFloatMin() throws ValidatorException {
        ValueBean info = new ValueBean();
        info.setValue(Float.valueOf(Float.MIN_VALUE).toString());
        valueTest(info, true);
    }

    public void testFloatMax() throws ValidatorException {
        ValueBean info = new ValueBean();
        info.setValue(Float.valueOf(Float.MAX_VALUE).toString());
        valueTest(info, true);
    }

    public void testFloatFailure() throws ValidatorException {
        valueTest(new ValueBean(), false);
    }
}
