package org.apache.commons.validator;

import java.util.Date;
import java.util.Locale;
import org.apache.commons.validator.util.ValidatorUtils;

public class GenericTypeValidatorImpl {
    public static Byte validateByte(Object bean, Field field) {
        return GenericTypeValidator.formatByte(ValidatorUtils.getValueAsString(bean, field.getProperty()));
    }

    public static Byte validateByte(Object bean, Field field, Locale locale) {
        return GenericTypeValidator.formatByte(ValidatorUtils.getValueAsString(bean, field.getProperty()), locale);
    }

    public static Short validateShort(Object bean, Field field) {
        return GenericTypeValidator.formatShort(ValidatorUtils.getValueAsString(bean, field.getProperty()));
    }

    public static Short validateShort(Object bean, Field field, Locale locale) {
        return GenericTypeValidator.formatShort(ValidatorUtils.getValueAsString(bean, field.getProperty()), locale);
    }

    public static Integer validateInt(Object bean, Field field) {
        return GenericTypeValidator.formatInt(ValidatorUtils.getValueAsString(bean, field.getProperty()));
    }

    public static Integer validateInt(Object bean, Field field, Locale locale) {
        return GenericTypeValidator.formatInt(ValidatorUtils.getValueAsString(bean, field.getProperty()), locale);
    }

    public static Long validateLong(Object bean, Field field) {
        return GenericTypeValidator.formatLong(ValidatorUtils.getValueAsString(bean, field.getProperty()));
    }

    public static Long validateLong(Object bean, Field field, Locale locale) {
        return GenericTypeValidator.formatLong(ValidatorUtils.getValueAsString(bean, field.getProperty()), locale);
    }

    public static Float validateFloat(Object bean, Field field) {
        return GenericTypeValidator.formatFloat(ValidatorUtils.getValueAsString(bean, field.getProperty()));
    }

    public static Float validateFloat(Object bean, Field field, Locale locale) {
        return GenericTypeValidator.formatFloat(ValidatorUtils.getValueAsString(bean, field.getProperty()), locale);
    }

    public static Double validateDouble(Object bean, Field field) {
        return GenericTypeValidator.formatDouble(ValidatorUtils.getValueAsString(bean, field.getProperty()));
    }

    public static Double validateDouble(Object bean, Field field, Locale locale) {
        return GenericTypeValidator.formatDouble(ValidatorUtils.getValueAsString(bean, field.getProperty()), locale);
    }

    public static Date validateDate(Object bean, Field field, Locale locale) {
        return GenericTypeValidator.formatDate(ValidatorUtils.getValueAsString(bean, field.getProperty()), locale);
    }

    public static Date validateDate(Object bean, Field field) {
        String value = ValidatorUtils.getValueAsString(bean, field.getProperty());
        String datePattern = field.getVarValue("datePattern");
        String datePatternStrict = field.getVarValue("datePatternStrict");
        if (datePattern != null && datePattern.length() > 0) {
            return GenericTypeValidator.formatDate(value, datePattern, false);
        }
        if (datePatternStrict == null || datePatternStrict.length() <= 0) {
            return null;
        }
        return GenericTypeValidator.formatDate(value, datePatternStrict, true);
    }
}
