package org.apache.commons.validator;

public class IntegerTest extends AbstractNumberTest {
    public IntegerTest(String name) {
        super(name);
        this.FORM_KEY = "intForm";
        this.ACTION = Var.JSTYPE_INT;
    }

    public void testInt() throws ValidatorException {
        ValueBean info = new ValueBean();
        info.setValue("0");
        valueTest(info, true);
    }

    public void testIntMin() throws ValidatorException {
        ValueBean info = new ValueBean();
        Integer num = Integer.MIN_VALUE;
        info.setValue(num.toString());
        valueTest(info, true);
    }

    public void testIntegerMax() throws ValidatorException {
        ValueBean info = new ValueBean();
        Integer num = Integer.MAX_VALUE;
        info.setValue(num.toString());
        valueTest(info, true);
    }

    public void testIntFailure() throws ValidatorException {
        valueTest(new ValueBean(), false);
    }

    public void testIntBeyondMin() throws ValidatorException {
        ValueBean info = new ValueBean();
        info.setValue("-21474836481");
        valueTest(info, false);
    }

    public void testIntBeyondMax() throws ValidatorException {
        ValueBean info = new ValueBean();
        info.setValue("21474836471");
        valueTest(info, false);
    }
}
