package org.apache.commons.validator;

import java.io.IOException;
import java.util.Locale;
import org.xml.sax.SAXException;

public class LocaleTest extends AbstractCommonTest {
    protected static String ACTION = "required";
    protected static String FORM_KEY = "nameForm";

    public LocaleTest(String name) {
        super(name);
    }

    /* access modifiers changed from: protected */
    public void setUp() throws IOException, SAXException {
        loadResources("LocaleTest-config.xml");
    }

    /* access modifiers changed from: protected */
    public void tearDown() {
    }

    public void testLocale1() throws ValidatorException {
        NameBean name = new NameBean();
        name.setFirstName("");
        name.setLastName("");
        valueTest(name, new Locale("en", "US", "TEST1"), false, false, false);
    }

    public void testLocale2() throws ValidatorException {
        NameBean name = new NameBean();
        name.setFirstName("");
        name.setLastName("");
        valueTest(name, new Locale("en", "US", "TEST2"), true, false, true);
    }

    public void testLocale3() throws ValidatorException {
        NameBean name = new NameBean();
        name.setFirstName("");
        name.setLastName("");
        valueTest(name, new Locale("en", "UK"), false, true, true);
    }

    public void testLocale4() throws ValidatorException {
        NameBean name = new NameBean();
        name.setFirstName("");
        name.setLastName("");
        valueTest(name, new Locale("en", "UK", "TEST"), false, true, true);
    }

    public void testLocale5() throws ValidatorException {
        NameBean name = new NameBean();
        name.setFirstName("");
        name.setLastName("");
        valueTest(name, new Locale("en", ""), false, false, true);
    }

    private void valueTest(Object name, Locale loc, boolean firstGood, boolean lastGood, boolean middleGood) throws ValidatorException {
        Validator validator = new Validator(this.resources, FORM_KEY);
        validator.setParameter(Validator.BEAN_PARAM, name);
        validator.setParameter(Validator.LOCALE_PARAM, loc);
        ValidatorResults results = validator.validate();
        assertNotNull("Results are null.", results);
        ValidatorResult resultlast = results.getValidatorResult("lastName");
        ValidatorResult resultfirst = results.getValidatorResult("firstName");
        ValidatorResult resultmiddle = results.getValidatorResult("middleName");
        if (firstGood) {
            assertNull(resultfirst);
        } else {
            assertNotNull(resultfirst);
        }
        if (middleGood) {
            assertNull(resultmiddle);
        } else {
            assertNotNull(resultmiddle);
        }
        if (lastGood) {
            assertNull(resultlast);
        } else {
            assertNotNull(resultlast);
        }
    }
}
