package org.apache.commons.validator;

public class LongTest extends AbstractNumberTest {
    public LongTest(String name) {
        super(name);
        this.FORM_KEY = "longForm";
        this.ACTION = "long";
    }

    public void testLong() throws ValidatorException {
        ValueBean info = new ValueBean();
        info.setValue("0");
        valueTest(info, true);
    }

    public void testLongMin() throws ValidatorException {
        ValueBean info = new ValueBean();
        Long l = Long.MIN_VALUE;
        info.setValue(l.toString());
        valueTest(info, true);
    }

    public void testLongMax() throws ValidatorException {
        ValueBean info = new ValueBean();
        Long l = Long.MAX_VALUE;
        info.setValue(l.toString());
        valueTest(info, true);
    }

    public void testLongFailure() throws ValidatorException {
        valueTest(new ValueBean(), false);
    }

    public void testLongBeyondMin() throws ValidatorException {
        ValueBean info = new ValueBean();
        info.setValue("-92233720368547758081");
        valueTest(info, false);
    }

    public void testLongBeyondMax() throws ValidatorException {
        ValueBean info = new ValueBean();
        info.setValue("92233720368547758071");
        valueTest(info, false);
    }
}
