package org.apache.commons.validator.routines;

import junit.framework.TestCase;

public class ISINValidatorTest extends TestCase {
    private static final ISINValidator VALIDATOR_FALSE = ISINValidator.getInstance(false);
    private static final ISINValidator VALIDATOR_TRUE = ISINValidator.getInstance(true);
    private final String[] invalidFormat = {null, "", "   ", "US037833100O", "BMG8571G109D", "AU0000XVGZAD", "GB000263494I", "FR000402625C", "DK000976334H", "3133EHHF3", "AU0000xvgzA3", "gb0002634946"};
    private final String[] invalidFormatTrue = {"AA0000000006"};
    private final String[] validFormat = {"US0378331005", "BMG8571G1096", "AU0000XVGZA3", "GB0002634946", "FR0004026250", "DK0009763344", "GB00B03MLX29", "US7562071065", "US56845T3059", "LU0327357389", "US032511BN64", "INE112A01023", "EZ0000000003", "XS0000000009"};

    public ISINValidatorTest(String name) {
        super(name);
    }

    public void testIsValidTrue() {
        String[] arr$ = this.validFormat;
        for (String f : arr$) {
            assertTrue(f, VALIDATOR_TRUE.isValid(f));
        }
    }

    public void testInvalidTrue() {
        String[] arr$ = this.invalidFormat;
        for (String f : arr$) {
            assertFalse(f, VALIDATOR_TRUE.isValid(f));
        }
        String[] arr$2 = this.invalidFormatTrue;
        for (String f2 : arr$2) {
            assertFalse(f2, VALIDATOR_TRUE.isValid(f2));
        }
    }

    public void testIsValidFalse() {
        String[] arr$ = this.validFormat;
        for (String f : arr$) {
            assertTrue(f, VALIDATOR_FALSE.isValid(f));
        }
    }

    public void testInvalidFalse() {
        String[] arr$ = this.invalidFormat;
        for (String f : arr$) {
            assertFalse(f, VALIDATOR_FALSE.isValid(f));
        }
    }
}
