package org.apache.commons.validator.routines.checkdigit;

public class CUSIPCheckDigitTest extends AbstractCheckDigitTest {
    private static String[] invalidCheckDigits = {"DUS0421CW", "DUS0421CN", "DUS0421CE"};
    private static String[] validCheckDigits = {"DUS0421C5"};

    public CUSIPCheckDigitTest(String name) {
        super(name);
    }

    /* access modifiers changed from: protected */
    public void setUp() throws Exception {
        super.setUp();
        this.routine = CUSIPCheckDigit.CUSIP_CHECK_DIGIT;
        this.valid = new String[]{"037833100", "931142103", "837649128", "392690QT3", "594918104", "86770G101", "Y8295N109", "G8572F100"};
        this.invalid = new String[]{"0378#3100"};
    }

    public void testVALIDATOR_336_InvalidCheckDigits() {
        int i = 0;
        while (true) {
            String[] strArr = invalidCheckDigits;
            if (i < strArr.length) {
                String invalidCheckDigit = strArr[i];
                assertFalse("Should fail: " + invalidCheckDigit, this.routine.isValid(invalidCheckDigit));
                i++;
            } else {
                return;
            }
        }
    }

    public void testVALIDATOR_336_ValidCheckDigits() {
        int i = 0;
        while (true) {
            String[] strArr = validCheckDigits;
            if (i < strArr.length) {
                String validCheckDigit = strArr[i];
                assertTrue("Should fail: " + validCheckDigit, this.routine.isValid(validCheckDigit));
                i++;
            } else {
                return;
            }
        }
    }
}
