package org.apache.commons.validator.routines.checkdigit;

public final class ISSNCheckDigit extends ModulusCheckDigit {
    public static final CheckDigit ISSN_CHECK_DIGIT = new ISSNCheckDigit();
    private static final long serialVersionUID = 1;

    public ISSNCheckDigit() {
        super(11);
    }

    /* access modifiers changed from: protected */
    @Override // org.apache.commons.validator.routines.checkdigit.ModulusCheckDigit
    public int weightedValue(int charValue, int leftPos, int rightPos) throws CheckDigitException {
        return (9 - leftPos) * charValue;
    }

    /* access modifiers changed from: protected */
    @Override // org.apache.commons.validator.routines.checkdigit.ModulusCheckDigit
    public String toCheckDigit(int charValue) throws CheckDigitException {
        if (charValue == 10) {
            return "X";
        }
        return super.toCheckDigit(charValue);
    }

    /* access modifiers changed from: protected */
    @Override // org.apache.commons.validator.routines.checkdigit.ModulusCheckDigit
    public int toInt(char character, int leftPos, int rightPos) throws CheckDigitException {
        if (rightPos == 1 && character == 'X') {
            return 10;
        }
        return super.toInt(character, leftPos, rightPos);
    }
}
